About HSG Element Manager Help

Welcome to Help for:

Element Manager for HSG

Version 1.0A


Overview

The Element Manager for StorageWorks HSG is a Web-based enhanced SAN element manager and resides on the SANworks Management Appliance. The HSG Element Manager lets you configure and monitor your HSG80/60 storage subsystems by using a Web browser to access the application.

With each SANworks HSG Element Manager, you can manage up to 25 controller pairs in a SAN configuration. For each controller pair, SANworks Element Manager lets you:

  • View existing virtual disk, controller, physical disk, and host properties.

  • Make changes to these properties for different configurations.

  • Configure Remote Copy Sets and add Associations (with 8.5P or later firmware).

  • Dynamically expand volumes for operating systems that support dynamic volume expansion.

  • Make temporary snapshots of volumes for backup purposes (with 8.5S/P or later firmware).


Application Home Page

SANworks Element Manager for StorageWorks HSG

The SANworks Element Manager for StorageWorks HSG provides access to your HSG SAN storage network and lets you configure and monitor the controllers and attached storage subsystems.

The SANworks Element Manager pages are made up of the following parts:

Session Pane

Navigation Pane

Content Pane


Session Pane

The Session pane includes links that you can select to perform various functions. These links appear at the center and on the right of the pane. These functions are:

Home - Select to display the SANworks Element Manager home page.

Refresh - Select to refresh the Content pane, Navigation pane, and Session pane.

Options - Select to display the HSG Management System Options page.

Help - Select to access General online help.

Exit - Select to exit from the SANworks Element Manager.

Status - Select to display the HSG Event Log which displays all controller events.


Navigation Pane

The Navigation pane has links that let you view information and change properties for your HSG network resources. When you click a link, information about the resource you have selected appears in the Content pane.

By using the Navigation pane, you can access the following folders:

Hardware

By expanding the Hardware folder, you can access controllers and physical drives which are part of the storage subsystem.

Virtual Disks

You can click and expand the Virtual Disks folder to access the virtual disks on the storage subsystem.

Hosts

The Hosts folder lets you access the host connections to your subsystem.

Note: The Navigation pane is not automatically refreshed. For example, when you add a virtual disk that virtual disk is not added to the Navigation pane until you refresh the entire browser or explicitly refresh the Navigation pane.


Content Pane

SANworks Element Manager for StorageWorks HSG Web pages are displayed in the Content pane. When you select a folder in the Navigation pane, it displays information related to the item selected in the Content pane. For example, subsystem entities such as specific virtual disks and physical drives are displayed. It also displays subsection summaries such as the virtual disk summary.

The screen below is displayed when you click HSG Network in the Navigation pane. This is the summary for the home page for the HSG Element Manager.


Setting Your Controllers' Operating Parameters

Setting Your Controller's Operating Parameters

Caution: Use extreme caution when changing controller operating parameters. Your host operating system is very sensitive to changes in controller operation. Changes in certain fields in the controller property sheets may cause improper storage subsystem operation and may require restarting your host.

Your controller's operating parameters are stored in tabbed property sheets on the Controller Properties page.

To display a properties sheet, click the tab for that sheet. The Controller Properties page contains the following tabs.

General Tab

Connections Tab

Host Ports Tab

Cache and Battery Tab

EMU Tab

Note: To place changes in effect for the property sheets (General tab, Connections tab, and Cache & Battery) click the Save Changes button. Each tab is saved individually.

  • Some changes cause one or both controllers to restart. You will always be prompted for confirmation before any controller is restarted. Changing mirror cache, UPS, and moving a subsystem in and out of Remote Copy Mode will cause the controllers to restart.

  • After you change a parameter that causes a controller restart, there is approximately a 90 second delay while the controller reinitializes.


The Storage Configuration Process

Before you can configure your storage devices into host-accessible virtual disks, you must decide on the types you wish to use based on your performance, cost, and availability goals. The storage subsystem planning process is a "balancing act" in which you optimize these three goals to meet your host's storage needs.

  • For more information on subsystem planning, refer to your controller product documentation.

  • For more information on how the SANworks Element Manager handles storage elements in your storage subsystems, see Devices, Device Groups, and Virtual Disks.

The storage configuration process described in SANworks Element Manager Help assumes that you have completed the planning process and that you are ready to create host-accessible virtual disks from your storage devices.


Adding Physical Disks

You must make your physical devices known to your controller before you can create virtual disks from them. To add physical devices to your configuration:

  1. On the Physical Disk Properties Summary page, click the Add Devices button.

  2. While this task is being executed, "The task you have requested may require some time to complete. Please wait." will be displayed on your screen.

  3. Upon completion, the updated Physical Disk Properties Summary page is displayed.


Adding Virtual Disks

Once you have added your physical devices to your storage configuration, you can use them to create a number of different types of logical storage units called virtual disks.

To add a virtual disk of any type:

  1. On the Virtual Disk Properties Summary page, click Create V-Disk. The Create New Virtual Disk screen is displayed.

  2. Select one of the following RAID level options, and click the Create button associated with it. For example, to create a JBOD, click the Create JBOD button on the right side of the page.

  • JBOD - Single-device

JBOD is an industry term for a single-device virtual disk. A JBOD virtual disk does not provide any level of data redundancy.

  • RAID 0 - Striped sets

RAID 0 is the industry-standard name for disk striping. A RAID 0 virtual disk is also called a striped virtual disk.

In a RAID 0 virtual disk, host data is broken down into strips spread across the virtual disk's member devices in a stripe. This technique offers much faster read and write performance than does reading and writing to a single device. A three-device, RAID 0 virtual disk has potentially three times the bandwidth of a single device because three separate, small pieces of host data are moved in parallel.

RAID 0 is the only RAID level that does not provide any level of data redundancy. Because there are more devices to potentially fail, and because there is no way to recover data if one device does fail, the availability of RAID 0 virtual disks is actually lower than an equivalent-sized single disk.

  • RAID-1 - Mirror sets

  1. In a RAID 1 virtual disk, host data is written as one large block to one device and the data is mirrored to one or more duplicate disks.

  2. A RAID 1 virtual disk provides very high availability because the data is completely mirrored to one or more devices. Its performance is no better than that of a single device, however, because the data is transferred as one large block to and from these devices.

  • RAID 0+1 - Striped mirror sets

RAID 0+1 combines the striping of RAID 0 and the mirroring of RAID 1 to provide the best combination of very high performance and very high availability. A RAID 0+1 virtual disk is also known as a striped mirrored virtual disk.

In a RAID 0+1 virtual disk, each RAID 0 stripe is mirrored to one or more duplicate sets of devices. This technique offers much faster read and write performance than does reading and writing to a single device. A six-device, RAID 0+1 virtual disk has potentially three times the bandwidth of a single device because three separate, small pieces of host data are moved in parallel.

In addition, because the data is completely mirrored to one or more sets of devices, there is complete data redundancy for very high availability.

A RAID 0+1 virtual disk offers the highest performance and the highest availability of any RAID virtual disk, but it does so at a very high cost. Such a configuration requires at least twice the number of devices of a RAID 0 configuration.

  • RAID 3/5 - Striped parity sets

Some controllers organize the data on a virtual disk's members such that they can use either RAID 3 or RAID 5 access techniques in an opportunistic way:

RAID 3/5 virtual disks offer the best characteristics of both RAID 3 and RAID 5 virtual disks. A RAID 3/5 virtual disk is also known as a striped parity virtual disk.

If a virtual disk is set up with a small strip size compared to the average host request's size, the controller can break the host data up into strips and can perform its device accesses in parallel, using RAID 3 techniques.

If a virtual disk is set up with a large strip size compared to the average host request's size, the controller can perform many device read accesses in parallel, using RAID 5 techniques.

In either case, the data is protected by parity and the performance is optimized for the application.

  • When one of the above is selected, the Create Virtual Disk page for the type chosen is displayed.

  • Follow instructions on the page and select items and features desired to create your virtual disk.

Return to Top


Adding Remote Copy Sets

Once you have configured your initiator and target sites, you can create the connection between them by creating remote copy sets. This will allow mirrored data to be stored remotely at the target site. You can view the remote copy set connections in the Connections tab of the Controller Properties page. Once the connections are established at the initiator site, a full copy to the target site occurs.

To add a Remote Copy Set:

  1. On the Virtual Disk Properties page of the virtual disk that will be the initiator of the remote copy set, click the Advanced button to invoke the Advanced Functions for Virtual Disk page.

  2. Click the Remote Copy button, which displays the Specify New Remote Copy Set Parameters page.

  3. Enter the Remote Copy Set name in the RCS Name field.

  4. Designate a target node name, and enter it in the Target node name field (optional).

  5. Select the target LUN to save the remote copy set to, and enter it in the Remote Target LUN field (optional).

  6. Select Synchronous or Asynchronous mode in the Operation Mode field. Synchronous operation ensures the highest possible level of data consistency. Asynchronous mode allows the transfer of data from the local unit to the remote unit without waiting for an acknowledgement. It enhances performance but increases risk of data loss.

  7. Failover mode - Failover modes are Manual and automatic. Currently, only Manual is supported. When Failover mode is selected, a site failover can only occur via CLI commands.

  8. Outstanding I/O's - Maximum outstanding non-committed IOs. That is, the maximum commands which have not sent back host status, or the maximum remote copy writes outstanding (“on the wire”). This field pertains both to synchronous and asynchronous operation mode. The default is 240.

A maximum of 12 remote copy sets can be added per Initiator/Target controller pair.


Add an Association

The purpose of the Association functionality is to create Association Sets which bind multiple Remote Copy Sets together. The following rules apply:

  • Units given the same Association name must reside on the same controller.

  • To create an Association, there must be at least one remote copy set available.

  • A maximum of 12 Associations can be created.

  • Association sets are used by a host to keep data on multiple units consistent between units.

  • For the controller, an Association set is the grouping of Remote Copy Sets that all transition to the same state at the same time. Thus, when one Association set goes inoperative, all association set members go inoperative.

To create an Association:

  1. On the Virtual Disk Properties Summary page, click the Add Association button. The Specify New Remote Copy Set Association Parameters page is displayed.

  2. Provide RCS Association name.

  3. Select RC sets from Available Remote Copy Sets in the drop down list box. The RC sets are displayed in the Selected Remote Copy Sets field when selected.

  4. Check Enable or Disable Write History Logging.

  5. If Write History Logging is enabled, select a Write History Log Device in the drop down list box.

  6. Select the Failover method.

  7. Click the Submit button.


Removing Devices

Deleting Devices

To physically remove a device from your subsystem, you must first remove it from the controller's list of known devices. To remove a device from the controller's list of known devices:

  1. In the Physical Devices folder in the Navigation pane, select the device to be deleted.

  2. The Physical Disk Properties page is displayed.

  3. Click the Delete Disk button. The Delete Disk button is only displayed if the disk can be deleted, that is, it is not being used.

  4. The device is deleted from your configuration, the deleted disk is removed from the list of devices in the Physical Disk folder, and the Physical Device Properties Summary page is displayed in the Content pane.


Deleting Virtual Disks

Caution: The virtual disks in your storage subsystem are logical units that contain your user data. Although they do not exist in a physical sense, it is their logical structure that ties together the physical pieces of your data spread across their members.

Use extreme caution when deleting a virtual disk. You may be deleting valuable user data. If you delete a virtual disk that is being used to communicate with your subsystem, you will lose the connection with your subsystem.

To delete a virtual disk:

  1. On the Virtual Disk Properties page for the virtual disk to be deleted, click the Advanced button. The Advanced Functions page for the virtual disk is displayed.

  2. Click the Delete button to delete the virtual disk. A Caution dialogue box is displayed on the screen. Click OK to delete the virtual disk.

This command deletes a virtual disk from the subsystem configuration. All subsystem resources associated with the virtual disk will be freed. All data on this virtual disk will be lost.

After the virtual disk is deleted, the Virtual Disk Properties Summary page is displayed in the Content pane.


Modifying Virtual Disks

You can modify the characteristics of your virtual disks in two ways:

Changing Virtual Disk operating parameters

Removing Virtual Disk members


Modifying Remote Copy Sets

The operating parameters and detailed attributes of remote copy are displayed on the Virtual Disk Properties page Remote Copy property sheet.

To modify a Remote Copy Set

  1. Click the Virtual Disk Properties page for that Remote Copy Set.

  2. Click the Remote Copy property sheet.

From the Remote Copy property sheet, you can modify the following attributes of a Remote Copy Set:

  • Remote target - Change Node Name and LUN ID.

  • Operation Mode - Select Synchronous or Asynchronous.

  • Error Mode - Choose Normal or Failsafe.


Deleting Remote Copy Sets

Deleting Remote Copy Set

To delete a Remote Copy Set:

  1. Select the virtual disk in the Navigation pane that is the initiator of the Remote Copy set.

  2. The Virtual Disk Properties page is displayed.

  3. Select the Remote Copy tab - The RC set is displayed in the Unit Name field.

  4. Click the Delete RCS button.


Managing Spare and Failed Devices

Your controller has automatic features that provide for the automatic handling of spare devices and the automatic replacement of failed members in certain types of virtual disks.

For more information, see the following:

Managing Spare Devices

Managing Failed Devices


Using CLI Commands

The CLI Command page is used for executing CLI commands and Run commands as an additional configuration tool.

To execute a CLI command:

  1. Select the desired HSG controller subsystem in the Navigation pane.

  2. Click the CLI Cmd button on the HSG Subsystem Summary page to display the CLI Command page.

  3. To execute a CLI command, Type the command in the CLI Command field.

  4. Click the Execute button.

To execute a CLI Run command:

  1. Select the Run Command button on the CLI Command page to display the Run Command page.

  2. Enter a Run command in the Run Command field.

  3. Click Execute.

  4. Information/prompts will be displayed in the display field. Enter your response in the Run Command field until the CLI Run command is complete.

  5. Click Close.

NOTE: As indicated on the CLI Run Command page, exit the window by clicking the Close button when the Run Command is complete. Failure to do so will leave the HSG controller in a locked state.


Creating a Snapshot

Creating a Snapshot copies the contents of a storage volume to a temporary storage set and creates a new virtual disk associated with that temporary storage set. When the user is finished with the snapshot, it may be removed by deleting the virtual disk that was created.

To create a Snapshot:

  1. From a Virtual Disk properties page of the virtual disk that you will snapshot, click the Advanced button to display the Advanced Functions for Virtual Disk page.

  2. Click the Snapshot button to display the Specify Target Parameters for Snapshot page.

  3. Select the unit to be the snapshot target in the Available Devices window. This device is displayed in the Selected Devices window.

  4. Click the Submit button to save the snapshot configuration.


Creating a Concatenation

This function creates an enlarged, or concatenated volume out of an otherwise normal virtual disk.

To create a Concatenation:

  1. From the Virtual Disk Properties page of the virtual disk that you want to concatenate, click the Advanced button to display the Advanced Functions for Virtual Disk page.

  2. Click the Concatenate button to display the Select Device(s) for Concatenation page.

  3. Select devices from the Available Storage window.

  4. Click the Submit button to create the Concatenation.

Note: Mirrorsets and striped mirrorsets cannot be concatenated.


How can I monitor my HSG controller storage subsystems using Command Console?

Monitoring HSG Controller Storage Subsystems Using the SANworks Element Manager for HSG

HSG controller monitoring options are set up from the Set Notifications Methods page, which is displayed by clicking the Notification button on the HSG Subsystem Summary page.

The following options are available:

  • Pager (using standard, numeric pagers)

  • SNMP

  • Email

To set up the monitoring options:

  1. Select the desired notification method and severity level. If you select Information, all events will be sent. If you select Warning, warning and failure events will be sent. If You select Failure, only failure events will be sent.

  2. Enter the notification destination location.

  3. Click the Set button.

If Email notification is chosen, click the Email Setup button to set up the Email notification.


Security Options

Security

Security user levels:

  • Administrator - Administrator can monitor and configure subsystems.

  • Superuser - Superuser has no configuration or delete capability.

  • User - User can only view subsystem information.

Security of the SANworks Element Manager is maintained with password access at the login screen. You may choose to change the password at the password screen.


Updating Controller Software

Controller software is updated using the Code Load function on the Controller Properties page.

To update HSG controller software:

  1. Click the Code Load button to open the Specify the Full File Path page to specify the file path for loading the software.

  2. Enter the file path in the Code Image Path field or click the Browse button to find the file destination.

  3. Click the Submit button.


Backing Up Your Data Files

Backing Up Data Files

Caution: You should consistently back up the data on your storage subsystem to ensure its integrity. Make sure you have a consistent and comprehensive subsystem backup policy in place. If you do not maintain consistent backups of your data, you put it at risk.

Following good subsystem management practices, you should back up the data on your disk drives to aid in recovery if there is a primary system failure, if the integrity of a storage device becomes questionable, or if you experience gross user error.

SANworks Element Manager does not automatically back up your data for you, although the use of mirrored virtual disks is a step toward protecting your data. Use the appropriate host backup utilities for this purpose.


Devices Not Shown

Storage Controllers

SANworks Element Manager looks for new controllers at 5 minute intervals. If a storage controller is added to the network and doesn't appear in the Controllers folder in the Navigation pane after 5 minutes, check the following:

  • Did you enable it to be managed from the Options window if you do not have “Automanage” enabled?

  • Did you refresh the Navigation pane? Remember, it doesn’t automatically refresh itself.

  • Ensure that a dedicated LUN access path or CCL is set up to the Management Appliance connections.

  • HSG Controller Connection Tab - Shows status of online or offline. If the controller status is offline and your subsystem is up and should be seen by the Element Manager, take the following actions to change the status to online:

  1. Disconnect FC cables connecting the SANworks Management Appliance to the FC switch and then reconnect.

  2. Restart the FC switch.

  3. Restart storage controllers.

  4. Restart the Management Appliance.


Events Not Shown

Storage Controllers

If events are not shown for a controller, check the following:

  • Make certain that the subsystem is seen by the Element Manager. Follow instructions under “Devices not Shown”.

  • Make sure desired destination has been chosen on the Event screen.


Invalid Cache Errors and Controller Communication

If the battery in your cache is discharged when you power up the controller, and if you are not using an uninterruptible power supply (UPS), the controller may produce an invalid cache error. The error may prevent communication with the controller. In this case, an event will be generated.

If you experience this situation, see your controller user or service guide for instructions on use of the CLEAR ERRORS INVALID_CACHE command.

After you have cleared the invalid cache error, you can use either a normal maintenance terminal or SANworks Element Manager CLI as your controller interface.


Invalid Cache Errors and Unwritten Cache Data

Metadata mismatches

Your controller module, cache module, and subsystem devices all contain configuration information used to keep their activity synchronized. This data is called metadata. The controller reports an invalid cache error on the affected controller in situations in which there is a mismatch between the metadata in the controller module and a cache module containing unwritten data. This mismatch can result in loss of the unwritten cache data if the error is not cleared properly. Following are several examples in which a metadata mismatch can occur:

Mismatches Caused by Changes in Controller Metadata

You might experience an invalid cache error caused by a change in the controller's metadata. An example is a situation in which you replace your controller module with a factory replacement or with one from a "foreign" subsystem. Another is the case in which the controller's nonvolatile memory or memory battery fails. The invalid cache error is reported to alert you to a cache/controller module mismatch and the possibility of losing your unwritten cache data.

In these situations, any unwritten cache data is valuable user data resulting from normal subsystem activity before the controller's metadata changed. To make sure the controller can recover the data, answer "No" to the invalid cache error prompt. This action clears the error without deleting the unwritten cache data, and synchronizes the controller metadata with that of the cache module. The controller is subsequently able to recover the unwritten data by writing it to the appropriate devices.

Mismatches Caused by Changes in Cache Metadata

You might experience an invalid cache error caused by a change in the cache's metadata. An example is a situation in which you replace the cache module with a factory replacement or with one from a "foreign" subsystem. Another example occurs when you initialize the cache module using the cache backup battery disable jumper during a module replacement action. This situation might also occur on a brand new system being powered up for the first time. The unwritten cache data in these situations is not user data from your subsystem.

In these situations, answer "Yes" to the invalid cache error prompt. This action clears the error, clears the cache of any unwritten data, and synchronizes the controller metadata with that of the cache module. Any residual cache data brought into the subsystem in the new cache module is purposely lost.

Note: If you answer "No" to the invalid cache error prompt in this situation, any residual data in the cache remains in the cache. It does not cause an error condition, but it does consume valuable cache memory.

Mismatches Caused by Removal of the Cache Module

You might experience an invalid cache error if you remove a cache module containing unwritten cache data from your controller. The invalid cache error is reported to alert you to the potential for losing your unwritten cache data.

To enable the error to be completely cleared, you must answer "No" to the invalid cache error prompt. This action clears the error and causes the controller to operate in a degraded mode (write-back caching is disabled and striped parity device groups and mirrored device group are inoperative.) The controller uses a small portion of its RAM memory for read caching only.

In this case, the unwritten cache data is valuable user data resulting from normal subsystem activity before you removed the cache module. The unwritten data is physically unavailable to the subsystem, however, unless you reinstall the original cache module. Upon reinstallation of the module, the controller recovers the unwritten data by writing it to the appropriate devices.

Clearing an invalid cache error

If you do not clear an invalid cache error by answering "Yes" or "No" at the invalid cache error prompt (that is, you select the Cancel button,) the controller is prevented from completely booting. The controller boots to a point where a limited CLI command set is available, and it remains unavailable to the host until you clear the invalid cache error.

Note also that clearing an invalid cache error on THIS controller forces a restart on the OTHER controller.

Return to Top


Glossary

Adapter

A device that converts the protocol and hardware interface of one bus type into that of another without changing the functionality of the bus.

Adapter ID

The Worldwide Name of the adapter on the host system.

Array controller

A hardware and software device that facilitates communications between a host computer and a set of storage devices.

Array Controller Software (ACS)

The HSG Array Controller Software (ACS) is the software component of the array controller subsystem. AS software executes on the HSG controller and processes I/O requests from the host, performing the device level operations required to satisfy the requests.

Association Set

An Association Set is a group of Remote Copy Sets that share common attributes. Members of an Association Set can be configured to transition to the same state at the same time.

Asynchronous Operation

Asynchronous operation is an option that can be used with Remote Copy Sets. It allows the transfer of data from the local unit to the remote unit without waiting for an acknowledgement. Asynchronous operation enhances performance but increases risk of data loss.

Autospare

A controller feature that automatically replaces a failed disk drive. Autospare aids the controller in automatically replacing failed disk drives. You can enable the AUTOSPARE switch for the failedset, causing physically replaced disk drives to be automatically placed into the spareset.

Also called “autonewspare.”

Available Devices

Devices that may be used to build a virtual disk or a Snapshot target.

Available RC Sets

Remote Copy Sets that are available to become members of an Association.

Battery Charge

An indication of the state of charge of the cache battery.

Battery Status

The status of the external cache battery module.

Cache

A fast, temporary, storage buffer in a controller or computer.

Cache Battery Status

Failed - The cache battery is completely discharged or is not operational.

Good - The cache battery is operational and completely charged.

Warning - The cache battery is partially discharged.

Cache Flush Timer

For HS-series controllers, specifies the amount of time that elapses before the controller automatically flushes its write back cache contents to the device array to ensure data integrity. The allowable range for the timer is 1 to 65535 seconds.

The setting of the Cache Flush Timer should be made as a compromise between performance and availability. Low settings affect performance, because the controller spends more of its time writing data to devices. High settings increase performance, but cause an larger window of time in which data could be lost.

Cache Policy

The cache policy controls the write-back cache's response to various battery conditions. The Cache Policy affects the availability of striped parity (RAID 3/5) and mirrored (RAID 1) units when the battery condition is low during controller initialization.

Cache Status

The Cache Status field indicates the operating state of the cache module.

Capacity

The maximum amount of data that can be contained in the virtual disk.

CCL (Command Console LUN)

Command Console LUN (CCL) enables SANworks Element Manager to communicate with a subsystem without using a LUN.

Chunk size

The chunk size indicates the number of data blocks, assigned by a system administrator, written to the primary RAIDset or stripeset member before the remaining data blocks are written to the next RAIDset or stripeset member.

Connection Name

The connection name is a unique string of alphanumeric or punctuation characters that identifies a connection between a host adapter and the HSG controller. The host performs a Fibre Channel bus scan any time it gets a notification that something has changed on the fabric. The host will then identify the HSG as a SCSI device and login to the HSG controller as part of its device discovery process. As the host performs the login, the HSG controller allocates an entry in the host connections table and assigns a connection name to the newly-established connection. Subsequent logins by the host will use this same connection name and entry.

Container

Any entity that is capable of storing data, whether it is a physical device or a group of physical devices.

Controller type

The model number of the controller.

Copy Policy

For HS-series controllers, the rate at which the controller writes mirrored data in a mirrored virtual disk.

Normal - Uses relatively few controller resources to perform the copy, and has little impact on controller performance.

Fast - Uses more controller resources, which reduces the time it takes to complete the copy, but also reduces overall controller performance.

Copy speed

The rate at which the controller writes mirrored data in a mirrorset.

Delete Targets

Delete Targets allows you to delete the target. You will not be able to do this unless the Error Mode is Normal. If you choose to delete a target and failsafe is set, you must first select Normal in the Error Mode field.

Device Group

The internal controller name that identifies the storageset on which the virtual disk is based.

Device Status

Available - The device is completely operational and has not yet been used as part of a virtual disk.

Failed - The device is not operational because of a failure.

Good - The device is a member of a virtual disk and is completely operational.

Spare - The device has been included in the pool of spare devices available for replacement in a redundant-RAID virtual disk.

Dual-redundant Configuration

A storage subsystem configuration consisting of two active controllers operating as a single controller. If one controller fails, the other controller assumes control of the failing controller’s devices.

EMU

An acronym for Environmental Monitoring Unit. A piece of hardware that provides increased protection against catastrophic failures. Some subsystem enclosures include an EMU which works with the controller to detect conditions such as failed power supplies, failed blowers, elevated temperatures, and external air sense faults.

Error mode

A parameter that indicates the preferred method of handling member failures in remote copy sets in a disaster-tolerant subsystem. There are two error mode options:

Normal - The remote copy set does not accept read or write requests if there are no normal or normalizing members on the primary (local) storage subsystem.

Failsafe - The remote copy set does not accept read or write requests if there are no normal or normalizing members on either the primary (local) or remote (secondary) storage subsystems.

Expansion (Concatenation)

Allows the expansion of an existing virtual storage unit while the unit stays intact. This is accomplished by concatenating another storage set of the same type onto the end of the existing storageset, thereby increasing the size of the logical unit. This may be done for stripe sets, raid sets, and JBODs.

Failback

The process of restoring data access to the newly-restored controller in a dual-redundant controller.

Failed

A device state that indicates a device is inoperable and is not available for use.

Failedset

A group of disk drives that have been removed from RAIDsets due to a failure or a manual removal. Disk drives in the failedset should be considered defective and should be tested and repaired before being placed back into the spareset or back in their original locations.

Failover

The process that takes place when one controller in a dual-redundant configuration assumes the workload of a failed companion controller. Failover continues until the failed controller is repaired or replaced.

Failover Method

Allows you to choose Fail one, Fail all RC Set members, or Fail RC Set members of an Association independently.

Failover Mode

When the Failover mode is Manual, this means that a site failover can only occur via CLI commands. Refer to the documentation that came with the Data Replication Manager solution for more details.

Failsafe Lock

To ensure that there are two concurrent copies of data between the initiator and target sites, a failsafe lock is triggered when the Remote Copy Set loses a sufficient number of members. When this lock is set, no further I/O will be allowed to this Remote Copy Set, and an error will be returned to the host.

Failsafe Mode

Failsafe mode indicates that there are two concurrent copies of data - one at the initiator site and one at the target site.

Firmware Revision

The Firmware Revision field indicates the version level of the controller's firmware.

Hardware Revision

The Hardware Revision field indicates the version level of the controller's hardware modules.

Host

The primary or controlling computer to which a storage subsystem is attached.

HBA (host bus adapter)

A device that connects a host system to a SCSI bus. The device usually performs the lowest layers of the SCSI protocol. This function may be logically and physically integrated into the host system.

Host ID

The Worldwide Name of the adapter's host system.

Host Port

The port on the controller that connects to the host computer.

Initiator Site

The initiator site is the local site that is in control of operation. The Remote Copy Set member is located on the same controller that presents the virtual unit to the host systems. Host data access occurs at the initiator site, unless there is a failure or catastrophe that disables processing there. In the event of a disaster at the initiator site, data processing is moved to a target site.

JBOD (just a bunch of disks)

An industry term for a unit created from a single device. A JBOD unit uses no RAID techniques and does not provide any level of data redundancy.

Logical Unit Number (LUN)

A SCSI bus supports a number of target devices, each with a number of logical units within it. A logical unit number is a logical unit's address on a target.

A controller maps one or more SCSI logical units to a virtual disk that is accessible by a host.

The term "LUN" is also sometimes used to refer to a virtual disk itself.

Maximum cached transfer blocks

The maximum number of blocks that can be transferred between the cache and the drive.

NOTE: If you are running Data Replication Manager, this field must be less than 128.

Mirrored cache

In mirrored mode, the cache data is duplicated and stored in the cache's memory in physically separate memory locations. If one copy of the data is corrupted or unavailable for some reason, the other copy is available for use. A mirrored cache configuration provides complete protection for cached data. Because the cache memory effectively contains twice as much data for each host request, however, the effective size of the cache is cut in half.

Mirroring

The act of creating an exact copy or image of data.

Mirrorset

A group of storage devices organized as duplicate copies of each other. Mirrorsets provide the highest level of data availability at the highest cost. Another name for RAID 1. Also called mirrored units or mirrored virtual disks.

Multiple-Bus Failover Mode

Multiple-bus (or host-assisted) failover is a dual-redundant controller configuration in which each host port is active, having its own connection or path to the host. Thus, if one of the host paths to a controller fails, the host can cause the units that became inaccessible to failover to a remaining viable path. All units, 0–199, are presented through all host ports, meaning that both controllers can present the same storage units to the host if the other controller fails or loss of communication occurs.

Node ID

The Node ID field indicates the Worldwide Name for the controller (or controller pair, if a dual-redundant configuration.) The Worldwide Name is a unique Fibre Channel network identifier for the controller, and it is assigned at the factory.

Other Controller

Standby controller in a dual-redundant pair.

Outstanding I/O

This switch controls the maximum outstanding non-committed IOs. That is, the maximum commands which have not sent back host status, or the maximum Remote Copy writes outstanding (“on the wire”). This switch pertains both to synchronous and asynchronous operation mode. The default is 240.

Partition

A logical division of a storageset or JBOD device; the partition represents itself as a unit to the host.

Port

Your controller has dual Fibre Channel host ports, identified as Port 1 and Port 2.

Port ID

The Port ID consists of the Worldwide Name for the controller, specified with a port identifier as the least-significant character. The Worldwide Name is a unique Fibre Channel network identifier for the controller, and it is assigned at the factory. The port identifier indicates the specific port on the controller.

Port IDs ending in "1" refer to Port 1 on the controller. Port IDs ending in "2" refer to Port 2.

In dual-redundant configurations, the port name applies to the port on the active controller only.

Preferred path

Choosing a preferred path for each controller enables you to distribute your units. It is a good idea to keep the busiest LUNs on different host ports. Be sure to delegate the same preferred path scheme at both the initiator and target sites. For example, if unit D0 on the initiator is assigned to This Controller, then unit D0 at the target site must be assigned to This Controller as well.

Primary controller

In a disaster-tolerant storage subsystem, the controller that is normally active, and that is located locally. Primary controllers may be either front-end or back-end controllers.

PTL (port/target/LUN)

The complete address of a physical disk on a device bus, from which the controller derives the device's name. The name "disk1130", for instance, indicates a physical device at port (channel) 1, target 13, and LUN 0.

RAID (Redundant Array of Independent Disks)

RAID is an industry-standard set of techniques for configuring an array of storage devices into host-accessible units with various levels of cost, availability, and performance options.

RAID level

The RAID configuration that the virtual disk is based upon.

Read Cache

A block of high-speed memory used by a controller to buffer data being read from storage devices by a host. A read cache increases the controller's effective device access speed by satisfying host read requests from its local cache memory when possible instead of from external storage devices. The controller maintains in the cache copies of data recently requested by the host, and may fetch blocks of data ahead in anticipation that the controller will access the next sequential blocks. In a normal read cache, host write requests are handled as usual, without involving the caching mechanism. See write-through cache.

Read-ahead Cache

Read-ahead caching is a performance feature in which the controller anticipates future host data requirements and reads beyond the host's currently requested range of device addresses. The controller stores the read-ahead information to supply future host requests directly from cache.

Read Source

For HS-series controllers, a mirrored virtual disk option that controls the way data is read from the virtual disk's members. There following are Read Source options:

Least Busy (default) - the Normal virtual disk member with the smallest I/O load is the target of all read operations.

Round Robin- each Normal virtual disk member is the target of a read operation in sequential membership order. No preference is given to any member.

Physical Device - A specific disk that you wish all reread requests to be directed to.

No Policy

Reconstructing

A physical device state that indicates that the controller is regenerating a failed device's data onto a replacement device that is part of a redundant-RAID unit. All user data remains available during the reconstruction process, but some performance reduction occurs when a request requires access to a device that is being reconstructed.

Reconstruction

Process of regenerating all of a failed member's data, writing it to a spare device, and incorporating the spare device as a redundant-RAID unit member. All user data remains available during the reconstruction process, but some performance reduction occurs when a request requires access to a device that is being reconstructed.

Reconstruction rate

The speed at which a failed member's data is regenerated. There are two reconstruction rates:

Normal - Balances overall performance of the controller against the demand of the reconstruction process.

Fast - Sacrifices overall performance of the controller for fast reconstruction of the virtual disk.

Remote Copy Mode

Enable Remote Copy mode enables or disables Remote Copy for a controller pair (subsystem). Before you can activate Remote Copy mode, you must have peer-to-peer firmware and mirrored cache must be enabled.

To disable this feature, you must first remove all Remote Copy Sets on the subsystem and remove all Remote Copy Set connections from the Connections tab of the Controller Properties page.

Remote Copy Node

The Remote Copy Node field displays the name that was assigned to the controller pair when Remote Copy was enabled. This field can only be altered if you remove the controller from Remote Copy mode and then enable Remote Copy mode with the new name.

Remote Copy Set

A Remote Copy Set enables the communication flow between the initiator and target sites. Adding remote copy sets to a particular unit will enable the data from that unit to be mirrored and stored at a target site while it is accessed on an initiator site. In the event of a disaster at the initiator site, the backup data from the target site can then be accessed, which minimizes the risk of extended downtime.

Replacement policy

The replacement policy indicates whether a failed disk from a mirrorset or RAIDset is to be automatically replaced with a disk from the spareset. The two switch choices are AUTOSPARE and NOAUTOSPARE (Also used in Raidset policy as a replacement from the spareset - Best fit, Best performance, and No policy).

SCSI Address

The SCSI Address field indicates the SCSI target ID of the controller on its device buses.

Selected Devices

Devices selected to create a virtual disk or create a Snapshot virtual disk. For a Snapshot, the selected device must be at least the same size/capacity as the unit for which the Snapshot is being created.

Selected RC Sets

Those RC Sets which are part of an Association after Add Association or Modify Association has been accomplished.

Snapshot

Creating a Snapshot copies the contents of a storage volume and creates a temporary storage set. When the user is finished with the Snapshot, it may be removed.

Status

An indication of whether this connection is on line or off line.

Storage subsystem

A controller or a controller pair with an array of physical devices.

Subsystem Communication Status

Up - The SANWorks Element Manager can communicate with the subsystem. At least one controller is up.

Failed - The SANWorks Element Manager cannot communicate with the subsystem.

Subsystem Operational Status

Down - The controller is unoperational and unavailable to the host for one of the following reasons:

  • The controller or cache module has failed.

  • The controller or cache module is missing.

  • The controller is being restarted.

  • The controller is shut down.

  • All virtual disks have been failed over to the other controller.

Impaired - The controller is less than completely operational. In a dual redundant failover configuration, one of the controllers is missing. Many functions, such as Create Virtual Disk, are not available.

Up - The controller is completely operational.

Suspend (For Remote Copy set target)

Allows for backup at the remote site and allows for a quick resynchronization (avoiding a full copy). Suspend initiates write history logging for the specified remote target unit. The controller protects the target unit from being written to during this process by enabling a read only access (similar to a write protect).

Synchronous Mode

A mode of operation of the Remote Copy Set whereby the data is written simultaneously to the cache of the initiator subsystem and the cache of the target subsystem. The I/O completion status is not sent until all members of the Remote Copy Set are updated.

Target

A SCSI bus device. When one device addresses another device on a SCSI bus, it uses the target device's target. ID to uniquely identify it.

Target ID

The physical address a bus initiator uses to connect with a bus target. Each bus target is assigned a unique target address.

Target LUN

The Target LUN indicates the LUN that you will assign the target to.

Target Node

The Target Node indicates the node name that you will assign to the controller pair at the target site.

This Controller

Active controller in a dual-redundant pair.

Transparent Failover Mode

Transparent failover occurs when a controller fails, loss of communication occurs, or when you press the reset button on one of the controllers.

In transparent failover, two of the four host ports are active and two are standby. This way, only two host ports at a time allow host access to the logical units. If a controller failure occurs, then the available standby port automatically becomes active, which then maintains host access to the logical units.

Type (Controller)

The Type field indicates the controller's model number.

Unflushed Data in Cache

The Unflushed in Cache field indicates whether or not cache data contains information not yet stored in the device array.

Unit Offset

A decimal integer used to determine the LUN address of a virtual disk on a specific connection. Offsets can range from decimal 0 to 199.

Used by

Identifies the name of an entity that uses another entity as a member. An example is a Remote Copy set that is used by an Association.

Virtual disk geometry

Your virtual disks do not exist in a direct, physical sense, but they have many of the characteristics of physical disks. Virtual disks made up of multiple physical disks maintain an emulated disk geometry. That is, from the host's viewpoint, the data they contain is organized in virtual "cylinders", "heads", and "sectors", as is the data in physical disks. This information is reported in the Settings tab of a virtual disk's property sheets.

Virtual Disk Worldwide LUN ID

A unique Fibre Channel network identifier for the virtual disk. The ID consists of the controller's Worldwide Name, along with a unique numerical string added by the controller at the time of the disk's creation.

Worldwide name

A unique Fibre Channel network identifier for a node. A node's Worldwide Name enables it to be addressed from anywhere in the world over the network to which it is connected. World Wide Names are assigned by each vendor to the node's hardware at the time of manufacture.

Write-back cache

A cache configuration that increases the performance of host write requests. When the host requests a write operation, the controller writes the host's data first to the cache memory, completing the host's request quickly. It performs the slower operation of flushing the data to the external storage device at a later time. The host sees the write operation as complete when the data has reached the cache.

Write Cache Size

The write cache size field indicates the capacity of the memory in the cache module in MB.

Write history logging

The use of a log unit to log a history of write commands and data from the host.

Write only

A device state that indicates that the member was in the process of reconstructing and an error was found on one of the other members of the unit.

Write protect

A unit state that indicates that the unit is prevented from performing write requests.


Application Home Page

SANworks Element Manager for StorageWorks HSG Home Page

Overview

The SANworks Element Manager for StorageWorks HSG Home Page displays storage resources available on a HSG network.

Buttons

Page Help - Displays online help for page displayed.

Submit - Click to change Default Monitor Interval, Default Refresh Interval, and to enable or disable Automanage.

Fields

Product Version - SANworks Element Manager for StorageWorks HSG application software version.

Configuration info - Version of the SANworks Element Manager parts. Information is necessary for support personnel to be able to refer to.

Default Monitor Interval - The frequency that SANworks Element Manager monitors all subsystems and updates element status information. Each monitor cycle may take one or two seconds.

Default Refresh Interval - The frequency that SANworks Element Manager refreshes background information and updates state information. Detailed subsystem information is replenished which takes much longer than the monitor interval. Background refreshes may take up to 1 to 1 ½ minutes to complete.

Automanage - When enabled, SANworks Element Manager will automatically manage any new subsystem it sees. If Automanage is turned off, any newly seen subsystem will not be managed unless the customer selects to manage a particular subsystem from the Options page.


HSG80 Subsystem Properties Summary

HSG Subsystem Summary

Overview

Access the HSG Subsystem Properties Summary page by clicking the subsystem serial numbers and alias in the Navigation pane.

This page summarizes the operational information for a particular HSG subsystem.

Buttons

Submit - Updates storage subsystem based on selections or changes made on this page.

Cancel Locate - Cancels any previously requested locate function. The locate function locates virtual disks, storage sets and disks by flashing amber fault indicator lights on the physical disk drive and is activated on the Physical Disk Properties and Virtual Disk Properties pages.

CLI Cmd - Opens the CLI command window for configuring and monitoring elements of the subsystem .

Notification - Sets event notification method for the subsystem. Notification methods include Email, SNMP, and Pager. Click the Notification button to open the Set Notification Methods screen.

Refresh - Refreshes all Element Manager browser data from the HSG subsystem.

Page Help - Select to display online help for page displayed.

Fields

Controller SNs - The serial number(s) of the controllers in the subsystem.

Subsystem Controller Type - Type of controller, for example, HSG80.

Operating State

Up - Subsystem is completely operational.

Down - Subsystem is not operational.

Impaired - Subsystem is less than completely operational, for example, in a dual-redundant configuration, one controller is down. Certain functions, such as deleting a virtual disk, cannot be performed.

Communications State - Communications state is either good or failed.

Restart State - If you initiate a reboot and refresh this page during a reboot, the reboot state will appear in this field. Otherwise, the field will indicate "No controller is rebooting".

Subsystem Alias - A unique name, selected by the customer, used to identify the HSG subsystem.

State (Monitor and Refresh)

Suspend - Select to suspend Refresh or Monitor thread.

Resumed - Select to resume Refresh or Monitor thread.

Caution: Suspending the Refresh thread will cause the Element Manager to no longer truly represent the status of the subsystem. Suspending the Monitor thread will stop the transmission of subsystem status to the event log.

Interval - Refresh and Monitor intervals are set in the fields provided. Entries will override the value set in the application home page for this subsystem only.

Monitor Interval - Determines how often a quick system refresh occurs. A quick system refresh obtains basic information about the HSG Subsystem. Information includes communication status, EMU status, controller status, and drive status. Since the information is obtained quickly, the default Monitor Interval is 30 seconds.

Refresh Interval - Determines how often a full system refresh occurs. A full system refresh obtains all information about the HSG Subsystem. Information includes full configuration of virtual disks, host presentations, physical devices, and more. Since a full system refresh takes relatively more time that a quick system refresh, the default Refresh Interval is 5 minutes.

Refresh Count - Number of times that the subsystem has been refreshed with the detailed data of the subsystem. If you modify your subsystem, for example you create a virtual disk via CLI, the refresh count will not change until it increments beyond the count existing when the change was made.

Controller Restart Options - The Controller Restart function enables you to restart the top controller, bottom controller, or both controllers.

Return to Top


CLI Command

Overview

Note: For information regarding the CLI commands and their structure, see the appropriate controller CLI Reference Guide.

Display the CLI Command page by clicking the CLI Command button on the HSG Subsystem Summary page.

The purpose of this page is to provide the capability to manually send commands for configuring and monitoring the attached storage subsystems.

  • Click in the CLI Command field to display CLI commands that have been previously used.

  • To issue a CLI command, select a command or type a new command in the CLI Command field.

Buttons

View Prop - Displays the HSG Subsystem Summary page.

Run Command - Displays the Run Command dialog page for issuing CLI "run" commands. The Run Command button executes a subsystem-wide lock, so that the "run" command has exclusive access to the subsystem. While the subsystem is locked, all other CLI access to the subsystem is inhibited, including HSG Element Manager monitoring. No CLI commands can be issued while the Run Command window is open, nor can the HSG Element Manager issue CLI commands to monitor the system. For this reason, it is important to only use the Run Command when necessary, and to not leave the Run Command window open longer than necessary.

Unlock - This button releases the CLI lock executed by the Run Command.

Caution: Use the Unlock function with extreme care. Its purpose is to release a subsystem lock if a user executed a lock with the Run Command and forgot to release the lock or the system crashed before they were able to release the lock. The use of the Unlock function can cause undesired results if used inappropriately.

Page Help - Displays online help for page displayed.

Execute - Executes the CLI command in the CLI Command field.

Fields

CLI Command - Enter the CLI command and click the Execute button or press Return.

Display field - After you click the Execute button, this field displays the information returned from the controller in response to the CLI command entered.


CLI Run Command

Overview

Display the Run Command page by clicking the Run Command button on the CLI Command page.

The purpose of this page is to execute a CLI Command that runs a controller-based program.

To execute a CLI Run command:

  • Type 'run' followed by the command in the Run Command field, for example 'run clcp'.

  • Enter response based on prompts/instructions in the display field until the run command is complete.

Buttons

Page Help - Displays online help for page displayed.

Execute - Executes the CLI run command or sends the response to a Run command prompt.

Close - Closes the Run Comand window and releases the subsystem lock.

Caution: Be sure to close the Run Command window with the Close button after run commands are finished. The subsystem lock will continue and all other CLI access will be blocked until the window is closed with the Close button.

Fields

Run Command - Enter the Run command or response to a Run command prompt and click the Execute button or press Return.

Display field - After you click the Execute button or press Enter, this field displays the information returned from the controller in response to the Run command entered.


Set Notification Methods

Overview

To display this page, click the Notification button on the HSG80 Subsystem Properties Summary page.

From this page, you can set the notification method and level of severity of error notification for subsystem controllers. The notification destination is also identified in the Destination field.

When you pick a particular severity level, you will be notified when a message at that level or greater is generated. For example, selecting the information level will notify you when the Element Manager generates information, warning, and failure messages.

Use caution in selecting the information level because you may receive more messages than you wish. All events are sent to the HSG Event Log which you can access by clicking the Status icon on the Session pane.

Buttons

View Prop - Displays the HSG80 Subsystem Properties Summary page.

Email Setup - Displays the Set Email Server page.

Page Help - Displays online help for page displayed.

Fields

Severity - Allows you to select the level of severity of instances of notification reported. The options are Failure, Warning, and Information.

Method - Allows you to select a method of each instance of notification. The notification methods are Pager, SNMP, Email, or None.

Destination - Enter the notification destination in this field. For example, if the method of notification is Pager, the pager number is entered in this field. If Email is selected, the Email address is entered.


Set Email

Set Email Server

Overview

Display by clicking the Email Setup button in the Method column on the Set Notification Method page.

From this page, you can designate the Email notification destination.

Buttons

Page Help - Displays online help for page displayed.

Submit - Click to set the Email destination which will receive error notification.

Fields

Server - Enter server name designated for event notification by Email (domain's E-mail server).

Username - Enter username.

Password - Enter password.

Re-enter Password - Re-enter password.


Controller Properties Summary

Hardware Properties Summary

Overview

Display by clicking the Hardware folder in the Navigation pane.

Displays summary of controller properties, including firmware version, controller configuration, and the number of physical disks configured in the storage subsystem.

Buttons

Page Help - Displays online help for page displayed.

Fields

Controller Firmware Revision - The revision level of the controller software

Controller Configured for - The configurations available are Transparent Failover, Multibus Failover and None (no failover mode selected). Controller configuration is set up from the CLI Command page.

Physical Disk Count - The number of physical disks configured on this controller pair.


View Controller Properties

Controller Properties Summary

Overview

Display by clicking Controllers in the Hardware folder in the Navigation pane of the SANworks Element Manager main page.

Displays the controller pair identification information and the General, Connections, Host Ports, Cache & Battery, and EMU tabs.

Buttons

Save Changes - Saves changes made on the controller properties tabs. Changes are made for each tab separately.

Code Load - Opens the Code Load page and lets you uploads new firmware to the controllers on the subsystem. You can upgrade your controller firmware to the latest version by using this feature.

The Code Load feature is also used for uploading a Code Patch, which is a minor change in existing controller firmware, such as a bug fix. Instead of uploading the entire firmware package, only the fix is uploaded.

Page Help - Displays online help for page displayed.

Fields

HSG Controller Identification (top and bottom)

Type - Controller type.

Serial Number - Controller serial number.

SCSI Addr - SCSI target ID of the controller on its device buses.

Firmware - Indicates the version level of the controller's firmware.

Hardware - Indicates the version level of the controller's hardware modules.

Properties Page

The View Controller Properties page is made up of five tabbed property sheets:

General

Connections

Host Ports

Cache & Battery

EMU

These property sheets are discussed in separate Page Help topics.


General Tab

Controller Properties General Tab

Overview

Display by clicking Controllers in the Hardware folder in the Navigation pane.

From this page, you can view controller identification information and view and change operating parameters.

Buttons

Save Changes - Saves changes made on the controller properties tabs. Changes are made for each tab separately.

Code Load - Opens the Code Load page and lets you uploads new firmware to the controllers on the subsystem. You can upgrade your controller firmware to the latest version by using this feature.

The Code Load feature is also used for uploading a Code Patch, which is a minor change in existing controller firmware, such as a bug fix. Instead of uploading the entire firmware package, only the fix is uploaded.

Page Help - Displays online help for page displayed.

Fields

HSG Controller Identification (top and bottom)

Type - Controller type.

Serial Number - Controller serial number.

SCSI Addr - SCSI target ID of the controller on its device buses.

Firmware - Indicates the version level of the controller's firmware.

Hardware - Indicates the version level of the controller's hardware modules.

General Tab

Node ID - The Node ID field indicates the Worldwide Name for the controller (or controller pair, if a dual-redundant configuration.) The Worldwide Name is a unique Fibre Channel network identifier for the controller, and it is assigned at the factory.

Configured For - The type of controller Failover configuration, either single, dual-redundant, or multibus.

Allocation Class - A number uniquely identifying a controller or group of controllers in a cluster. The allocation class provides a way of grouping disk-based virtual disks across controllers and distinguishing identical virtual disk names within the cluster. Allowable entries are values from 0 thru 65535. The allocation class attribute applies to both controllers in a dual-redundant configuration.

Caution: If you change the allocation class of your controller, you risk data corruption, and your host system may require restarting. Use extreme caution when changing the setting of this field.

SCSI Version - Indicates the SCSI characteristics of the communications LUN on the host bus. For information on setting the SCSI version, see Using the CCL.

Auto Spare - If Auto Spare is enabled, any new disk drive that is inserted into the PTL location of a failed disk drive is automatically initialized and placed into the spareset. If initialization fails, the disk drive remains in the failedset until you manually delete it from the failedset.

Date Time: You can set the date and time in this field. A description of the Date Time fields follow:

dd - Numeric characters
mmm - Alpha characters
yyyy - Numeric characters
hh:mm:ss - Numeric characters

Remote Copy Mode - Enable remote copy mode enables or disables remote copy for a controller pair (subsystem). Before you can activate remote copy mode, remote copy for a controller pair must be enabled.

To disable this feature, you must first remove all remote copy sets and remote copy set connections from the Connections tab of the Controller Properties window.

Remote Copy Node Name - Displays the name that was assigned to the controller pair when remote copy was enabled. This field can only be altered if you delete any existing remote copy connections from the Connections tab of the Controller Properties window.

CCL Properties - Command Console LUN (CCL) enables SANworks SANworks Element Manager to communicate with a subsystem without using a LUN.

State - State will either be enabled or disabled. In SCSI-3, the CCL is always enabled. The default state in SCSI-2 for CCL is enabled.

Mode - Modes are Fixed LUN or Floating LUN. Floating LUN is for SCSI-2 and Fixed LUN is for SCSI-3. The CCL mode cannot be changed independently.

Address - The fabric-assigned physical address of the host adapter for this connection.

Identifier - Presents to certain operating systems a number that can be used to access the virtual disk. It provides an alternative way (other than Worldwide Name) for some operating systems to identify the command console LUN (CCL). This number can be a value between 1-9999.

Return to Top


Connections Tab

Controller Properties Connections Tab

Overview

Display by clicking the Connections tab on the Controller Properties page.

This tab displays connection properties of controllers in your SAN network.

From this page, you can delete connections, rename connections, change the OS, and change the offset.

Buttons

Save Changes - Saves changes made on the controller properties tabs. Changes are made for each tab separately.

Page Help - Displays online help for page displayed.

Fields

HSG Controller Identification (top and bottom)

Type - Controller type.

Serial Number - Controller serial number.

SCSI Addr - SCSI target ID of the controller on its device buses.

Firmware - Indicates the version level of the controller's firmware.

Hardware - Indicates the version level of the controller's hardware modules.

Connections Tab

Name - The connection name is a unique string of alphanumeric or punctuation characters that identifies a connection between a host adapter and the HSG controller. The host performs a Fibre Channel bus scan any time it gets a notification that something has changed on the fabric. The host will then identify the HSG as a SCSI device and log in to the HSG controller as part of its device discovery process. As the host performs the login, the HSG controller allocates an entry in the host connections table and assigns a connection name to the newly-established connection. Subsequent logins by the host will use this same connection name and entry.

To delete a connection, type "delete" in the Name field, and click the Save Changes button.

Note: Names are listed alphabetically.

!newconXX (where XX is a number) is a name defined by the controller. While these names differentiate connections, they are not very definitive. The user may want to change these names to ones that represent the system connection more clearly. For example: Barney1 and Barney2 could represent the Port 1 and port 2 connections to a system named Barney.

OS - You can set your controller to operate properly with a variety of operating systems. Select OS from the drop down list box.

Port - Shows your controller's ports. These are dual, Fibre Channel host ports, identified as Port 1 and Port 2.

Address - The fabric-assigned physical address of the host adapter for this connection. An offline connection address will be N/A.

Status - An indication of whether this connection is on line or off line. If the connection is on line, the controller to which the connection is bound is also indicated.

Offset - Offset is used to determine the LUN address of a virtual disk on a specific connection. Offsets can range from decimal 0 to 199. Offset is a decimal value that establishes the beginning of the range of LUN numbers. An offset of 10, will cause the absolute SCSI address (0 – 10) to be 10 –19, etc.

Host ID - The Worldwide Name of the adapter's host system.

Adapter ID - The Worldwide Name of the Fibre adapter on the host system.

Return to Top


Host Ports Tab

Controller Properties Host Ports Tab

Overview

Display by clicking the Host Ports tab on the Controller Properties page.

This tab displays information for host ports for controller pair pertaining to ID, Address, and interconnection scheme.

Buttons

Page Help - Displays online help for page displayed.

Fields

HSG Controller Identification (top and bottom)

Type - Controller type.

Serial Number - Controller serial number.

SCSI Addr - SCSI target ID of the controller on its device buses.

Firmware - Indicates the version level of the controller's firmware.

Hardware - Indicates the version level of the controller's hardware modules.

Host Ports Tab

The following information is displayed for the top and bottom controller for Host Port 1 and 2:

Port ID - The Port ID consists of the Worldwide Name for the controller, specified with a port identifier as the least-significant character. The Worldwide Name is a unique Fibre Channel network identifier for the controller, and it is assigned at the factory. The port identifier indicates the specific port on the controller pair. Port IDs ending in "1" refer to Port 1 on the controller. Port IDs ending in "2" refer to Port 2. In dual-redundant configurations, the port name applies to the port on the active controller only.

Requested Topology - A topology is an interconnection scheme that allows multiple Fibre Channel ports to communicate with each other. The Topology field indicates your port configuration on the Fibre Channel host bus. The two configuration options are:

Fabric - The port is connected to the switch.

Offline - The port is off line (Arbitrated Loop).

Topology State - Because of the interaction of ports during initialization, and because of the effects of dual-redundant controllers, the configuration of a particular port may not match the one requested by the operator. The Topology State field indicates the configuration of a port on the Fibre Channel host bus as a result of fabric initialization. The three configuration options are:

Fabric up - The fabric is operational and this port is on line to it, with an assigned fabric address.

Standby - This port belongs to the inactive controller in a dual-redundant pair and has been assigned the same address as its inactive companion.

Offline - The operator has requested that the port be set as off line to the fabric, and it has been disabled.

Fabric Address - The switch sets the Fabric address, which indicates the fabric address of a port.

Return to Top


Cache & Battery Tab

Controller Properties Cache & Battery Tab

Overview

Display by clicking the Cache & Battery tab on the Controller Properties page.

This tab displays controller cache and cache battery properties.

Buttons

Save Changes - Saves changes made on the controller properties tabs. Changes are made for each tab separately.

Page Help - Displays online help for page displayed.

Fields

HSG Controller Identification (top and bottom)

Type - Controller type.

Serial Number - Controller serial number.

SCSI Addr - SCSI target ID of the controller on its device buses.

Firmware - Indicates the version level of the controller's firmware.

Hardware - Indicates the version level of the controller's hardware modules.

Cache & Battery Tab

The following information is displayed for the top and bottom controller cache and cache battery properties:

Cache Flush Timer - For HS-series controllers, specifies the amount of time that elapses before the controller automatically flushes its write back cache contents to the device array to ensure data integrity. The allowable range for the timer is 1 to 65535 seconds.

The setting of the Cache Flush Timer should be made as a compromise between performance and availability. Low settings affect performance, because the controller spends more of its time writing data to device. High settings increase performance, but cause an larger window of time in which data could be lost.

Write Cache Size - Memory capacity of the cache module in MB.

Version - Hardware revision level of the cache module.

Cache Status - The operating state of the cache module.

Unflushed Data in Cache - Indicates whether or not cache data contains information not yet stored in the device array.

Battery Charge - The state of charge of the cache battery.

Expiration Date - Expiration date of the cache battery.

Warning - The cache battery is partially discharged.

UPS - Some controller models have an uninterruptible power supply (UPS) that is used for complete backup in the event of a primary power failure.

No UPS - If you do not have a UPS, check this item.

Node Only - If you have a UPS on a specified server node only and not data center wide, check this item.

Data Center Wide - If you have a UPS for all nodes in the data center, check this item.

Mirrored Cache - Some controllers offer high-performance cache hardware that can be set to operate in the mirrored mode. In this mode, the cache data is duplicated and stored in the cache's memory in physically separate memory locations. If one copy of the data is corrupted or unavailable for some reason, the other copy is available for use.

Enable - If your controllers have the mirrored cache mode, check this item.

Disabled - If your controllers do not have the mirrored cache mode, check this item.

Note: When in RC mode, Enable and Disable options are not available and Enabled is displayed. Mirrored cache cannot be disabled in the Remote Copy mode.

Return to Top


EMU Tab

Controller Properties EMU Tab

Overview

Display by clicking the EMU tab on the Controller Properties page.

The EMU monitors environment and operational status within a selected controller cabinet.

Buttons

Page Help - Displays online help for page displayed.

Fields

HSG Controller Identification (top and bottom)

Type - Controller type.

Serial Number - Controller serial number.

SCSI Addr - SCSI target ID of the controller on its device buses.

Firmware - Indicates the version level of the controller's firmware.

Hardware - Indicates the version level of the controller's hardware modules.

EMU Tab

The EMU monitors the status of the following elements:

  • Fan Status

  • Temperature Status

  • Controller Status

  • Airflow Sensor Status

  • UPS Status

  • Voltage Status

The status conditions that will be displayed are Normal and Failed.


Code Load

Code Load - Updating Controller Software

Overview

Use this page to update controller software and is accessed by clicking the Code Load button on the Controller Properties page.

Buttons

Submit - Executes Code Load function when Code Image Path is identified in the Code Image Path field.

Browse - Use to browse to location of software to be loaded on the controller pair.

Page Help - Displays online help for page displayed.

Fields

Code Image Path - Enter the path or browse to software to be loaded on the controller pair.


Physical Disk Properties Summary

Overview

Display by clicking the Physical Devices folder in the Hardware directory.

The purpose of this page is to:

  • Display the number of configured devices in the storage subsystem .

  • Let you add devices to your storage subsystem.

Buttons

Add Devices

  1. Click to add devices to the storage subsystem.

  2. Upon completion, the physical device summary screen is displayed with the updated number of physical devices.

Page Help - Displays online help for page displayed.

Fields

Device Count - The number of physical disks attached to the storage subsystem.


General Physical Disk Properties

Physical Disk Properties

Overview

Display by clicking a disk in the Physical Devices folder.

Displays Name, State, Size, and other information relating to physical disk operating characteristics; lets you change the Requested Transfer Rate and Transportable status settings.

Buttons

Save Changes - Saves changes made to the physical disk properties.

Locate - Visually locates the physical disk in the storage cabinet by flashing an amber fault indicator light on the front of the device.

Make Spare - Converts a physical disk to a spare that can be used to automatically replace a failed device.

Delete Disk - Removes the physical disk from your subsystem configuration.

Note: The Make Spare and Delete Disk buttons only appear for devices that are not part of a virtual disk. If the device is part of a virtual disk, the virtual disk name will appear in the Used By field. After a device is designated as a spare device, the a Delete Spare button is displayed and the Make Spare and Delete Disk buttons are not displayed.

Page Help - Displays online help for page displayed.

Physical Disk Properties Fields

Name - Name of the physical device.

State - The operational state of the physical disk:

Good - The device is operational.

Bad - The device is unavailable for use in a virtual disk.

Spare - The device is designated as a hot spare for a failed device within a redundant RAID virtual disk.

Size - The storage capacity of the physical disk in GB.

Requested Transfer Rate - Requested data exchange speed for the device to operate.

Actual Transfer Rate - Actual data exchange rate. This may not be the same as the Requested Transfer Rate because some devices may not be able to operate at all speeds.

Channel - Indicates the SCSI device bus. Sometimes also called "port".

SCSI ID - A representation of the SCSI address that refers to one of the signal lines numbered 0 through 15.

Transportable - Yes or No - If Yes is chosen, this means that the disk can be physically moved with the data intact.

Used By - The virtual disk that this physical device is used by. Failedset or Spareset may also be displayed in this field. If Failedset is displayed, the device is unavailable.

Units - Virtual disks that use this particular device, either directly in a JBOD or indirectly through a storage set, are displayed.

Support Information

Vendor ID - Product manufacturer.

Product ID - Vendor's product ID.

Firmware Rev - Physical disk firmware version.

Return to Top


Virtual Disk Properties Summary

Overview

Display by clicking the Virtual Disk folder in Navigation pane.

This page displays the virtual disks on a pair of controllers and identifies operational states and the number of virtual disks in each operational state.

Buttons

Create V-Disk - Displays the Create New Virtual Disk Page, which guides you through the process of adding a virtual disk to your configuration.

Add Association - Creates associations to bind remote copy sets together.

Note: Add Association button is displayed only if you have peer-to-peer software, Remote Copy mode is enabled and you have existing Remote Copy Sets to create an Association with.

Page Help - Displays online help for page displayed.

Fields

Virtual Disks - Total number of virtual disks on the subsystem.

State - The current operational state of all virtual disks.

  • Good - The virtual disk is completely operational.

  • Initializing - The controller is destroying any data on the virtual disk and is writing the virtual disk's file structure.

  • Reconstructing - The data on a member of a virtual disk is being regenerated.

  • Reduced - The virtual disk has at least one failed member.

  • Inoperative - The virtual disk is completely inoperative.

  • Undefined - The virtual disk state is unknown.

Count - The number of virtual disks in each operational state.


Add Association

Overview

Display by clicking the Add Association button on the Virtual Disk Properties Summary page.

The purpose of the Association functionality is to create Association Sets. Associations bind remote copy sets together and are a group of remote copy sets that share common attributes. Units given the same association name must reside on the same controller.

To create an association, there must be at least one remote copy set available. A maximum of 12 associations can be created. Association sets are used by a host to keep data on multiple units consistent between units.

Buttons

Submit - Attempts to create an Association on the subsystem.

Page Help - Displays online help for page displayed.

Fields

Association Name - The name of the Association that is created for RC Sets.

Remote Copy Sets

Available - Remote Copy sets that are available to become members of an Association.

Selected - Remote Copy Sets selected in the Available Remote Copy Sets pane appear in this field and will become members of the Association.

Write History Log Device - The specified target device that write history logging data will be copied to. There must be an unused mirrorset for any candidates to be displayed.

The following rules for the log disk must be implemented or it will not appear in the Write History Log Device field:

  • Mirror or stripemirrorset only

  • No partitions

  • Must be online

  • Max cache transfer size =32

  • Write back cache must be disabled

  • Run state must be enabled

  • Write protect must be disabled

  • Read cache must be enabled

  • Read Ahead Cache must be enabled

  • Host Access must be set to None

Maintain Write History Order - When enabled, Write History Order does the following:

  • If one RC Set starts logging, all members start logging.

  • Logging is kept in order of the writes. The writes of each remote copy set are interleaved between the other remote copy sets in the order that they happen.

Failover Method - Failover methods when an initiator fails.

Fail one, fail all RC set members - All RC Sets will fail over if one fails over.

Fail RC set members independently - Only the RC Set that failed will fail over to the Target.

Return to Top


Advanced Functions

Overview

Display by clicking the Advanced button on the Virtual Disk Properties page of an existing virtual disk.

Provides access to advanced functions available for each virtual disk type. Advanced function names are given in the left column, with a corresponding explanation in the center column. If the advanced function is not available a reason will be given and the associated button is deactivated. The advanced functions are:

  • Snapshot

  • Concatenate

  • Remote Copy

  • Remove Member

  • Delete

To activate an advanced function, click the button associated with the function.

When you have decided on an appropriate action, select the button on the left to select additional parameters and activate the function.

Buttons

PageHelp - Displays online help for page displayed.

Snapshot - Displays the Specify Target Parameters for Snapshot page and enables you to create a Snapshot of the selected virtual disk (either a JBOD or a Stripeset).

Creating a Snapshot copies the contents of a storage volume into a temporary storage set. When the user is finished with the snapshot, it is removed.

Concatenate - Displays the Select device(s) for Concatenating page. This function creates an enlarged, or concatenated, volume out of an otherwise normal virtual disk. A volume can only be concatenated once, so be sure to size the added capacity for future growth.

Remote Copy - Displays the New Remote Set Parameters page. Adding remote copy sets to a particular unit will enable the data from that unit to be mirrored and stored at a target site while it is accessed on an initiator site. In the event of a disaster at the initiator site, the backup data from the target site can then be accessed, which minimizes the risk of extended downtime.

Remove Member - Removes a device from an existing storageset. The removed disk drive is then added to the failedset. If Autospare is enabled and a spare disk drive of the correct size is available, it will be automatically added in place of the removed disk.

Caution: If Autospare is disabled, the volume will be running in reduced mode, and unable to recover from a disk failure. Do not leave a volume in this state.

Delete - Deletes a virtual disk from the subsystem configuration. All subsystem resources associated with the virtual disk will be freed. All data on this virtual disk will be lost.

Return to Top


Snapshot

Overview

Display by clicking the Snapshot button on the Advanced Functions page.

Creating a Snapshot copies the contents of a storage volume, which creates a temporary storage set. When the user is finished with the Snapshot, it may be deleted like any other virtual disk.

When a Snapshot is created, SnapInit will be displayed in the Unit Name field on the Virtual Disk Properties page of the Snapshot initiator unit. SnapTgt will be displayed on the Virtual Disk Properties page of the Snapshot target unit. The Snapshot Source is the unit that is being snapshotted, and the Snapshot Target is the unit being created.

Buttons

Submit - Submits changes made on the page displayed.

Page help - Displays online help for the page displayed.

Fields

Select the Snapshot ID - The LUN ID of the snapshot.

Available devices - Devices that may be used to build the Snapshot unit. Selected devices must be at least the same size/capacity as the device for which the Snapshot is being created.

Selected devices - Devices selected to copy the snapshot data to. Selected devices capacity must total the same or be more than the size/capacity of the volume for which the Snapshot is being created. Devices must be JBODs or Stripesets.

Snapshot source - Size/capacity of the Snapshot source.

Snapshot target - Size/capacity of the Snapshot target.

Rules for Creating a Snapshot

A Virtual Disk must:

  • Not be part of a remote copy set.

  • Have a preferred path.

  • Not be concatenated.

  • Not be part of a snapshot.

  • Have writeback cache enabled.

  • Not be a JBOD that is based upon a transportable device.

Firmware must be 8.5S or 8.5P or later.

Return to Top


Concatenate

Overview

Access this page by clicking the Concatenate button on the Advanced Functions for virtual disk page.

This function creates an enlarged, or concatenated volume out of an otherwise normal virtual disk. Only Mirrorsets can be concatenated.

Note: To execute the Concatenate function, your operating system must support Dynamic Volume Expansion.

Buttons

Submit - Submits changes made on the page displayed.

Page help - Displays online help for the page displayed.

Fields

Available Storage - Storage available to support concatenation.

Selected Storage - When you select a device in the Available Storage field, it appears in the Selected Storage field.

Rules for Concatenating Virtual Disks

To be concatenated, a virtual disk:

  • Cannot already be expanded.

  • Cannot be part of a Remote Copy Set or an Association Log.

  • Cannot be based upon a partitioned container.

  • Cannot be part of a Snapshot (either source or target).

  • Cannot have a preferred path if in Multibus mode.

  • Cannot have its container in a failed state.

  • Cannot be a JBOD that is based on a transportable device.

Return to Top


Remote Copy

Specify New Remote Copy Set Parameters

Overview

Display this page by clicking the Remote Copy button on the Advanced Functions for Virtual Disk page.

From this page you set parameters for a new Remote Copy set.

Buttons

Submit - Adds Remote Copy set to the subsystem.

Page help - Displays online help for the page displayed.

Fields

RCS Name - Name of the new Remote Copy Set being configured.

Local Initiator LUN - The LUN of the RCS initiator unit.

Remote Target Node Name - Node name of the remote copy target.

Remote Target LUN - The LUN of the RCS target storage unit.

Operation Mode

Synchronous - Synchronous operation provides real-time mirroring of data. In this mode, data is simultaneously written to the cache of the initiator subsystem and the cache of the target subsystems, and the I/O completion status is not sent to the host until all members of the mirrorset are updated. If a member of a Remote Copy Set cannot complete the I/O, then the I/O must fail or the failed member must be removed before the completion status can be returned to the host.

Asynchronous - Asynchronous operation allows the transfer of data from the local unit to the remote unit without waiting for an acknowledgement. This mode of operation enhances performance but increases risk of data loss.

Subsequent write requests to the target will be accepted even though the remote copy may not have completed. Incoming host write requests may exceed the rate at which remote copies to the target can be performed. Copies therefore can be temporarily out of synchronization, but over time that data should converge to the same at all sites. Asynchronous operation is useful when transferring large amounts of data, such as during data center migrations or consolidations.

Failover Mode - Failover modes are Manual and Automatic. Only Manual is supported at this time. A site failover can only occur via CLI commands.

Outstanding I/Os - Maximum outstanding non-committed IOs. That is, the maximum commands which have not sent back host status, or the maximum remote copy writes outstanding (“on the wire”). This field pertains both to synchronous and asynchronous operation mode. The default is 240.


Remove Member

Overview

This page is accessed by clicking the Remove Member button on the Advanced Functions for Virtual Disk page.

The Remove Member function removes a device from an existing storageset. The removed disk drive is then added to the failedset.

Buttons

Submit - Click to remove the physical device selected for removal.

Page help - Displays online help for the page displayed.

Fields

Select 1 member to remove - Select the physical device member to be removed from the virtual disk.


Virtual Disk Properties

Overview

Display by clicking a virtual disk in the Virtual Disks folder in the Navigation pane.

Displays virtual disk properties and parameters and provides the tool to change selected operating parameters.

Buttons

Save Changes - Saves changes made to the virtual disk properties.

Advanced - Displays the Advanced Functions page, which outlines the advanced functions available for a given virtual disk type. The advanced functions are Snapshot, Concatenate, Remote Copy, Remove Member, and Delete.

Locate - Visually locates physical disks that make up the virtual disk in the storage cabinet by flashing an amber fault indicator light on the front of the device.

Page Help - Displays online help for page displayed.

Delete RCS - Deletes the Remote Copy set which uses this virtual disk as its Initiator. Displayed only when the Remote Copy tab is selected.

Delete Association - Deletes the Association which this Remote Copy set belongs to. Displayed only when the Association tab is selected.

Fields

Unit Name - Virtual disk name

Each controller has two ports, port 1 and port 2. A set number of units are accessible, depending on the host operating system:

In transparent failover mode, the range of assignable units is 0-99 on port 1, and 100-199 on port 2, regardless of what unit offset is set on the host.

In multiple-bus failover mode, the range of assignable units that are accessible from any port on the subsystem is 0-199. Hosts obtain units by reserving the unit for sole access. This process is performed on a first-available basis or by assigning host access.

Unit State - Virtual disk status. It will be online or offline.

Container Status - The operational status of the group of devices from which the virtual disk was derived. Status conditions are Good, Fail, Reconstructing, Available, and Spare.

Redundancy Level - The RAID configuration that the virtual disk is based upon. RAID configurations are JBOD, RAID 0, RAID +1, RAID 0 + 1, or RAID 3/5.

Unit Capacity - The maximum amount of data that can be contained in the virtual disk.

Container Name - Name of the device group from which the virtual disk was derived.

World Wide LUN ID - A unique Fibre Channel network identifier for the virtual disk. The ID consists of the controller's Worldwide Name, along with a unique numerical string added by the controller at the time of the disk's creation.

Return to Top


Virtual Disk Properties General Tab

Virtual Disk Properties General Tab - Settings

Overview

Display by clicking a virtual disk in the Virtual Disks folder in the Navigation pane.

Enables you to view and modify the properties and settings of an existing virtual disk and to specify operating parameters and options of a new virtual disk.

Buttons

Save Changes - Saves changes made to the virtual disk properties.

Advanced - Displays the Advanced Functions page, which outlines the advanced functions available for a given virtual disk type. The advanced functions are Snapshot, Concatenate, Remote Copy, Remove Member, and Delete.

Locate - Flashes fault indicators on the physical devices that make up the virtual disk.

Page Help - Displays online help for page displayed.

Fields

Cache

Read - Read cache is a management method used to decrease the subsystem's response time to a read request by allowing the controller to satisfy the request from the cache memory rather than from the disk drives. The enable and disabled buttons activate and deactivate the function.

Read Ahead - Read ahead caching improves performance of synchronous sequential reads by prefetching data from disk. The Enable and Disabled buttons activate and deactivate the function.

Write Back - Write back cache is used to decrease the subsystem's response time to write requests by allowing the controller to declare the write operation "complete" as soon as the data reaches its cache memory. The controller performs the slower operation of writing the data to the disk drives at a later time. The Enable and Disabled buttons activate and deactivate the function.

Note: In order to enable Read Ahead Cache and Write Back Cache, Read Cache must also be enabled.

Max Transfer

Read - Indicates the maximum number of blocks that can be transferred during a read between the cache and the drives.

Write - Indicates the maximum number of blocks that can be transferred during a write between the cache and the drive.

Note: If you have ACS Version 8.5 or earlier, Max Transfer Rate displays only one value.

Policies

Copy - For HS-series controllers, the rate at which the controller writes mirrored data in a mirrored virtual disk.

Normal - Uses relatively few controller resources to perform the copy, and has little impact on controller performance.

Fast - Uses more controller resources, which reduces the time it takes to complete the copy, but also reduces overall controller performance.

Replacement - The replacement policy indicates whether a failed disk from a mirrorset or RAIDset is to be automatically replaced with a disk from the spareset. The choices are None, Best Fit, and Best Performance.

None - Retires a failing device from the virtual disk without selecting a replacement. This causes the unit to run in a Reduced state until a Best Fit or Best Performance policy is selected, or a member is manually replaced in the unit.

Best Fit - Gives highest priority to finding a spare device that most closely matches the sizes of the remaining members of the unit. If more than one device in the unit is the correct size, the device that gives the best performance is selected.

Best Performance - Gives highest priority to finding a spare device that results in the best performance of the unit. This means using a spare device which is located on a channel not being used by the failed device it replaces. If more than one spare device has the best performance, the device that most closely matches the size of the remaining members of the virtual disk is selected.

Read Source - For HS-series controllers, a mirrored virtual disk option that controls the way data is read from the virtual disk's members.

Least Busy - The Normal virtual disk member with the smallest I/O load is the target of all read operations.

Round Robin - Each Normal virtual disk member is the target of a read operation in sequential membership order. No preference is given to any member.

Reconstruct - The reconstruction rate is the process of regenerating the contents of a failed member's data. The reconstruct process writes the data to a spareset disk and then incorporates the spareset disk into the mirrorset, striped mirrorset, or RAIDset from which the failed member came.

Normal - Balances overall performance of the controller against the demands of the reconstruction process.

Fast - Sacrifices overall performance of the controller for fast reconstruction of the virtual disk.

General

Identifier - A number that certain operating systems can use to access the virtual disk.

Chunk Size - The chunk size indicates the number of data blocks, assigned by a system administrator, written to the primary RAIDset or stripeset member before the remaining data blocks are written to the next RAIDset or stripeset member.

NOTE: If you are running Data Replication Manager, Compaq recommends that you do not change this field, to ensure maximum performance.

Preferred Path - Defines which controller handles which units or targets. Choosing a preferred path for each controller enables you to distribute your units. It is a good idea to keep the busiest LUNs on different host ports. If your are creating Remote Copy sets, be sure to delegate the same preferred path scheme at both the initiator and target sites. For example, if unit D0 on the initiator is assigned to This Controller, then unit D0 at the target site must be assigned to This Controller as well.

Write Protect - Write protect prevents the host from writing to this unit. The Disable and Enabled buttons activate and deactivate this feature.

Membership - Displays a list of the physical disks that make up this virtual disk.

Geometry - Your virtual disks do not exist in a direct, physical sense, but they have many of the characteristics of physical disks. Virtual disks made up of multiple physical disks maintain an emulated disk geometry. That is, from the host's viewpoint, the data they contain is organized in virtual "cylinders", "heads", and "sectors", as is the data in physical disks.

Heads - The number of disk heads used. The range is from 1 to 255.

Cylinders - The number of cylinders used. The range is from 1 to 16,777,215.

Sectors Per Track - The number of sectors per track used. The range is from 1 to 255.

Return to Top


Virtual Disk Properties Presentations Tab

Overview

Display by clicking a virtual disk in the Virtual Disks folder in the Navigation pane.

Displays host connections through which the virtual disk can be accessed and allows you to change the host connections.

Buttons

Save Changes - Saves changes made to the virtual disk properties.

Advanced - Displays the Advanced Functions page which outlines the advanced functions available for a given virtual disk type. The advanced functions are Snapshot, Concatenate, Remote Copy, Remove Member, and Delete. If any of the advanced functions cannot be performed, reasons are displayed in the field on the right of the advanced functions button.

Locate - Flashes fault indicators on the physical devices that make up the virtual disk

Page Help - Displays online help for page displayed.

Fields

Host Presentations - Indicates the host connections through which the virtual disk can be accessed.

Modify Host Presentations - A scrolling list of all the host connections available to the virtual disk. The host access default is "None".


Remote Copy Tab

Virtual Disk Properties Remote Copy Tab

Overview

This tab is displayed on a Virtual Disk Properties page when the virtual disk is a Remote Copy Set initiator. The Remote Copy tab displays the properties of the remote copy set target.

Configuration of the remote copy set can be changed from this tab.

Buttons

Save Changes - Saves changes made to the virtual disk properties.

Advanced - Displays the Advanced Functions page, which outlines the advanced functions available for a given virtual disk type. The advanced functions are Snapshot, Concatenate, Remote Copy, Remove Member, and Delete.

Locate - Flashes fault indicators on the physical devices that make up the virtual disk.

Delete RCS - Deletes the Remote Copy set identified on this tab.

Page Help - Displays online help for page displayed.

Fields

RCS Name - The Remote Copy Set name chosen when a Remote Copy Set was created.

Association Name - Name of the Association that was created for RC Sets.

Local Initiator LUN - LUN of the RCS Initiator.

Remote Target

Node Name - Node name of the Remote Copy target.

LUN ID - LUN ID of the Remote Copy target.

Operation Mode

Synchronous - Synchronous operation provides real-time mirroring of data. In this mode, data is simultaneously written to the cache of the initiator subsystem and the cache of the target subsystems, and the I/O completion status is not sent to the host until all members of the mirrorset are updated. If a member of a remote copy set cannot complete the I/O, then the I/O must fail or the failed member must be removed before the completion status can be returned to the host.

Asynchronous - Asynchronous operation allows the transfer of data from the local unit to the remote unit without waiting for an acknowledgement. This mode of operation enhances performance and response time but increases risk of data loss. The data on all members of the remote copy set cannot be assumed to be the same at all times.

Subsequent write requests to the target will be accepted even though the remote copy may not have completed. Incoming host write requests may exceed the rate at which remote copies to the target can be performed. Copies therefore can be temporarily out of synchronization, but over time that data should converge to the same at all sites. Asynchronous operation is useful when transferring large amounts of data, such as during data center migrations or consolidations.

Error Mode

Normal - When the Error Mode is set to Normal, you may add a target if the maximum number of targets has not been met. Currently, the maximum number of allowable targets is one. Also, if you have a target set, it can be deleted when the Error Mode is Normal.

Failsafe - The associated Remote Copy Set must contain at least one initiator member and one target member. If the Remote Copy Set loses a sufficient number of members while failsafe is set, no further I/O will be allowed to this Remote Copy Set, and an error will be returned to the host. This is known as a Failsafe Locked condition.

NOTE: When you set Failsafe, all Remote Copy Sets must be in a normal or normalizing state. If Remote Copy Sets are copying, you must wait until they return to Normal mode before you can set Failsafe.

Failover Mode - The Failover mode for the Remote Copy Set initiator. Failover modes are Manual and Automatic. Currently, only Manual Failover mode is supported. Site Failover can only occur via CLI commands.

Outstanding I/Os - Maximum outstanding non-committed IOs. That is, the maximum commands which have not sent back host status, or the maximum remote copy writes outstanding (“on the wire”). This field pertains both to synchronous and asynchronous operation mode. The default is 240.

Return to Top


Virtual Disk Properties Association Tab

Overview

The Remote Copy tab appears on a Virtual Disk Properties page if that virtual disk is an Initiator of a Remote Copy Set. An Association tab appears if that Remote Copy set is part of an Association.

Configuration of the Association may be changed from this tab.

Buttons

Save Changes - Saves changes made to the Association properties.

Advanced - Displays the Advanced Functions page, which outlines the advanced functions available for a given virtual disk type. The advanced functions are Snapshot, Concatenate, Remote Copy, Remove Member, and Delete.

Locate - Flashes fault indicators on the physical devices that make up the virtual disk.

Page Help - Displays online help for page displayed.

Delete Assn' - Deletes the Remote Copy set identified on this tab.

Fields

Association Name - The name of the Association that is created for RC Sets.

Remote Copy Sets

Available - Remote Copy sets that are available to become members of an Association.

Selected - Remote Copy Sets that are members of the Association when the tab is first selected. Select a remote copy set from Available Remote Copy Sets to become a member.

Write History Log Device - A virtual disk that has no other use. If an initiator cannot access a target, the log device is used to keep a history of write commands from the host. When the target becomes available, the log device is used to bring the target back in sync with the initiator. The redundancy level of a Log Device must be a mirrorset or a stripemirrorset.

Maintain Write History Order - Write History Order does the following:

  • If one RC Set starts logging, all members start logging.

  • Logging is kept in order of the writes. That is, the writes of each remote copy set are interleaved between the other remote copy sets in the order that they happen.

Failover Method - Failover methods when an initiator fails.

Fail one, fail all RC set members - All RC Sets will fail over if one fails over.

Fail RC set members independently - Only the RC Set that failed will fail over to the Target.

Return to Top


Create Virtual Disk

Creating a New Virtual Disk

Overview

Display by clicking the Create V-Disk button on the Virtual Disk Properties Summary page.

This page allows you to select the type of virtual disk that you want to create and display the page to create the virtual disk. Review the information about each RAID level to determine the type of virtual disk to create.

Buttons

Page Help - Displays online help for page displayed.

Create JBOD - Displays Create JBOD Virtual Disk page.

Create RAID 0 - Displays Create Raid-0 (Stripeset) Virtual Disk page.

Create RAID 1 - Displays Create RAID-1 (Mirrorset) Virtual Disk page.

Create RAID 0+1 - Displays Create RAID 0+1 (Striped Mirrorset) Virtual Disk page.

Create RAID 3/5 - Displays Create RAID-3/5 (RAIDSet) Virtual Disk page.


Creating a JBOD

Overview

Display by clicking the Create JBOD button on the Create New Virtual Disk page.

This page allows you to create a JBOD virtual disk by selecting an available device and selecting the capacity and other features required for the virtual disk.

Buttons

Submit - Click Submit to create the JBOD virtual disk.

Note: Before submitting, check the operating parameters you have chosen very carefully. Remember that your selections can have a major impact on the availability of your data and the performance of your storage subsystem.

In particular, check to make sure you have chosen the correct devices and cache options for your new virtual disk.

Page Help - Displays online help for page displayed.

Fields

Select an ID - Select an ID for your virtual disk from the drop down list box.

Requested Capacity - You have the option of using only a portion of the capacity of the devices you have selected for your new virtual disk. The available capacity of the devices you have selected is displayed in the Available Devices window.

Use largest available size - When checked, the disk will not be partitioned regardless of what is entered in the Requested Capacity field.

Available Devices - Select desired device by clicking it. When you select a device, it moves into the Selected Devices window.

Selected Device - Devices move into this window when selected in the Available Devices window. Clicking a device in this window moves it back to the Available Devices window.

Read Cache - Read cache is a management method used to decrease the subsystem's response time to a read request by allowing the controller to satisfy the request from the cache memory rather than from the disk drives.

Read Ahead Cache - Read Ahead caching improves performance of synchronous sequential reads by prefetching data from disk.

Write Back Cache - Write Back cache is used to decrease the subsystem's response time to write requests by allowing the controller to declare the write operation "complete" as soon as the data reaches its cache memory. The controller performs the slower operation of writing the data to the disk drives at a later time.

Max Cache Transfer Blocks

Read - Indicates the maximum number of blocks that can be transferred during a read between the cache and the drives.

Write - Indicates the maximum number of blocks that can be transferred during a write between the cache and the drive.

Note: If you have ACS Version 8.5 or earlier, Max Cache Transfer Blocks displays only one value.

Write Protect - If Write Protect is enabled, you will not be able to write to this virtual disk.

Save Controller Configuration - You can place a complete copy of your subsystem configuration information on every device in a virtual disk. Your controller uses this information to maintain its subsystem configuration when it is restarted. Although it consumes a small amount of storage space on every device in a virtual disk, this feature provides a secure and simple way to store the details of the configuration of your subsystem.

Preferred Path - Defines which controller handles which units or targets. Choosing a preferred path for each controller enables you to distribute your units. It is a good idea to keep the busiest LUNs on different host ports. Be sure to delegate the same preferred path scheme at both the initiator and target sites. For example, if unit D0 on the initiator is assigned to This Controller, then unit D0 at the target site must be assigned to This Controller as well. (This field is not displayed in Transparent failover mode.)

Host Presentations - A scrolling list of all the host connections available for the virtual disk.

Return to Top


Creating a Raid 0

Overview

Display by clicking the Create RAID 0 button on the Create New Virtual Disk page.

This page allows you to create a RAID 0 virtual disk by selecting available devices and selecting the capacity and other features required for the virtual disk.

Buttons

Submit - Click Submit to create the RAID 0 virtual disk

Note: Before submitting, check the operating parameters you have chosen very carefully. Remember that your selections can have a major impact on the availability of your data and the performance of your storage subsystem.

In particular, check to make sure you have chosen the correct devices and cache options for your new virtual disk.

Page Help - Displays online help for page displayed.

Fields

Select an ID - Select an ID for your virtual disk from the drop down list box.

Requested Capacity - You have the option of using only a portion of the capacity of the devices you have selected for your new virtual disk. The available capacity of the devices you have selected is displayed in the Available Devices window.

Use largest available size - When checked, the disk will not be partitioned regardless of what is entered in the Requested Capacity field.

Available Devices - Select 2 to 24 devices from the available devices list by clicking them. When you select a device, it moves into the Selected Devices window.

Selected Devices - Devices move into this window when selected in the Available Devices window. Clicking on a device in this window moves it back to the Available Devices window.

Read Cache - Read cache is a management method used to decrease the subsystem's response time to a read request by allowing the controller to satisfy the request from the cache memory rather than from the disk drives.

Read Ahead Cache - Read Ahead caching improves performance of synchronous sequential reads by prefetching data from disk.

Write Back Cache - Write Back cache is used to decrease the subsystem's response time to write requests by allowing the controller to declare the write operation "complete" as soon as the data reaches its cache memory. The controller performs the slower operation of writing the data to the disk drives at a later time.

Max Cache Transfer Blocks

Read - Indicates the maximum number of blocks that can be transferred during a read between the cache and the drives.

Write - Indicates the maximum number of blocks that can be transferred during a write between the cache and the drive.

Note: If you have ACS Version 8.5 or earlier, Max Cache Transfer Blocks displays only one value.

Write Protect - If writeprotect is enabled, you will not be able to write to this virtual disk.

Save Controller Configuration - You can place a complete copy of your subsystem configuration information on every device in a virtual disk. Your controller uses this information to maintain its subsystem configuration when it is restarted. Although it consumes a small amount of storage space on every device in a virtual disk, this feature provides a secure and simple way to store the details of the configuration of your subsystem.

Preferred Path - Defines which controller handles which units or targets. Choosing a preferred path for each controller enables you to distribute your units. It is a good idea to keep the busiest LUNs on different host ports. Be sure to delegate the same preferred path scheme at both the initiator and target sites. For example, if unit D0 on the initiator is assigned to This Controller, then unit D0 at the target site must be assigned to This Controller as well. (This field is not displayed in Transparent failover mode.)

Chunk Size - The number of data blocks that you assign to the primary RAIDset or stripeset member before the remaining data blocks are written to the next RAIDset or stripeset member.

Host Presentations - A scrolling list of all the host connections available for the virtual disk.

Return to Top


Creating a Raid 1

Overview

Display by clicking the Create RAID 1 button on the Create New Virtual Disk page.

This page allows you to create a RAID 1 virtual disk by selecting available devices and selecting the capacity and other features for configuring the virtual disk.

Buttons

Submit - Click Submit to create the RAID 1 virtual disk

Note: Before submitting, check the operating parameters you have chosen very carefully. Remember that your selections can have a major impact on the availability of your data and the performance of your storage subsystem.

In particular, check to make sure you have chosen the correct devices and cache options for your new virtual disk.

Page Help - Displays online help for page displayed.

Fields

Select an ID - Select an ID for your virtual disk from the drop down list box.

Requested Capacity - You have the option of using only a portion of the capacity of the devices you have selected for your new virtual disk. The available capacity of the devices you have selected is displayed in the Available Devices window.

Use largest available size - When checked, the disk will not be partitioned regardless of what is entered in the Requested Capacity field.

Available devices - Devices available to be members of the Raid 1 virtual disk. Select 2 to 4 mirrorsets for the virtual disk. Select 1 to 6 members for each mirrorset. When you select a device, it moves into the Selected Devices window.

Selected devices - Devices move into this window when selected in the Available Devices window. Selecting a device in this window moves it back to the Available Devices window.

Read Cache - Read cache is a management method used to decrease the subsystem's response time to a read request by allowing the controller to satisfy the request from the cache memory rather than from the disk drives.

Read Ahead Cache - Read Ahead caching improves performance of synchronous sequential reads by prefetching data from disk.

Write Back Cache - Write Back cache is used to decrease the subsystem's response time to write requests by allowing the controller to declare the write operation "complete" as soon as the data reaches its cache memory. The controller performs the slower operation of writing the data to the disk drives at a later time.

Max Cache Transfer Blocks

Read - Indicates the maximum number of blocks that can be transferred during a read between the cache and the drives.

Write - Indicates the maximum number of blocks that can be transferred during a write between the cache and the drive.

Note: If you have ACS Version 8.5 or earlier, Max Cache Transfer Blocks displays only one value.

Write Protect - If Write Protect is enabled, you will not be able to write to this virtual disk.

Save Controller Configuration - You can place a complete copy of your subsystem configuration information on every device in a virtual disk. Your controller uses this information to maintain its subsystem configuration when it is restarted. Although it consumes a small amount of storage space on every device in a virtual disk, this feature provides a secure and simple way to store the details of the configuration of your subsystem.

Copy Speed - Enables you to choose normal or fast copy speed.

Read Source - For HS-series controllers, a mirrored virtual disk option that controls the way data is read from the virtual disk's members. There are two Read Source options:

Least Busy (default) - The Normal virtual disk member with the smallest I/O load is the target of all read operations.

Round Robin - Each Normal virtual disk member is the target of a read operation in sequential membership order. No preference is given to any member.

Replacement Policy - The replacement policy indicates whether a failed disk from a mirrorset or RAIDset is to be automatically replaced with a disk from the spareset. The choices are Best Performance, Best Fit, and No Policy.

Best Fit - Gives highest priority to finding a spare device that most closely matches the sizes of the remaining members of the unit. If more than one device in the unit is the correct size, the device that gives the best performance is selected.

Best Performance - Gives highest priority to finding a spare device that results in the best performance of the unit. This means using a spare device which is located on a channel not being used by the failed device it replaces. If more than one spare device has the best performance, the device that most closely matches the size of the remaining members of the virtual disk is selected.

No Policy - Retires a failing device from the virtual disk without selecting a replacement. This causes the unit to run in a Reduced state until a Best Fit or Best Performance policy is selected, or a member is manually replaced in the unit.

The autospare feature causes failed devices to be automatically deleted and added to the pool of spare devices when they are replaced by a new, physical device. This feature enables you to physically replace failed devices without regard to managing the pool of failed and spare devices. Your controller keeps track of the status of your failed devices and ensures that replaced devices become spares for future failures.

Preferred Path - Defines which controller handles which units or targets. Choosing a preferred path for each controller enables you to distribute your units. It is a good idea to keep the busiest LUNs on different host ports. Be sure to delegate the same preferred path scheme at both the initiator and target sites. For example, if unit D0 on the initiator is assigned to This Controller, then unit D0 at the target site must be assigned to This Controller as well. (This field is not displayed in Transparent failover mode.)

Host Presentations - A scrolling list of all the host connections available for the virtual disk.

Return to Top


Creating a Raid 0+1

Overview

Display by clicking the Create RAID 0+1 button on the Create New Virtual Disk page.

This page allows you to create a RAID 0+1 virtual disk by selecting available devices and selecting the capacity and other features for configuring the virtual disk.

Buttons

Submit - Click Submit to create the RAID 0+1 virtual disk

Note: Before submitting, check the operating parameters you have chosen very carefully. Remember that your selections can have a major impact on the availability of your data and the performance of your storage subsystem.

In particular, check to make sure you have chosen the correct devices and cache options for your new virtual disk.

Page Help - Displays online help for page displayed.

Fields

Select an ID - Select an ID for your virtual disk from the drop down list box.

Requested Capacity - You have the option of using only a portion of the capacity of the devices you have selected for your new virtual disk. The available capacity of the devices you have selected is displayed in the Available Devices window.

Use largest available size - When checked, the disk will not be partitioned regardless of what is entered in the Requested Capacity field. Available Devices (Mirror-1, Mirror-2, Mirror-3, and Mirror-4) - Select from 2 to 4 mirrorsets for the virtual disk. Select from 1 to 6 members for each mirrorset. When you select a device, it moves into the Selected Devices window.

Available devices - Devices available to be members of the Raid 0+1 virtual disk. Select 2 to 4 mirrorsets for the virtual disk. Select 1 to 6 members for each mirrorset. When you select a device, it moves into the Selected Devices window.

Selected devices - Devices move into this window when selected in the Available Devices window. Selecting a device in this window moves it back to the Available Devices window.

Read Cache - Read cache is a management method used to decrease the subsystem's response time to a read request by allowing the controller to satisfy the request from the cache memory rather than from the disk drives.

Read Ahead Cache - Read Ahead caching improves performance of synchronous sequential reads by prefetching data from disk.

Write Back Cache - Write Back cache is used to decrease the subsystem's response time to write requests by allowing the controller to declare the write operation "complete" as soon as the data reaches its cache memory. The controller performs the slower operation of writing the data to the disk drives at a later time.

Max Cache Transfer Blocks

Read - Indicates the maximum number of blocks that can be transferred during a read between the cache and the drives.

Write - Indicates the maximum number of blocks that can be transferred during a write between the cache and the drive.

Note: If you have ACS Version 8.5 or earlier, Max Cache Transfer Blocks displays only one value.

Write Protect - If Write Protect is enabled, you will not be able to write to this virtual disk.

Save Controller Configuration - You can place a complete copy of your subsystem configuration information on every device in a virtual disk. Your controller uses this information to maintain its subsystem configuration when it is restarted. Although it consumes a small amount of storage space on every device in a virtual disk, this feature provides a secure and simple way to store the details of the configuration of your subsystem.

Copy Speed - Enables you to choose normal or fast copy speed.

Read Source - For HS-series controllers, a mirrored virtual disk option that controls the way data is read from the virtual disk's members. There are two Read Source options:

Least Busy (default) - The Normal virtual disk member with the smallest I/O load is the target of all read operations.

Round Robin - Each Normal virtual disk member is the target of a read operation in sequential membership order. No preference is given to any member.

Replacement Policy - The replacement policy indicates whether a failed disk from a mirrorset or RAIDset is to be automatically replaced with a disk from the spareset. The choices are Best Performance, Best Fit, and No Policy.

Best Fit - Gives highest priority to finding a spare device that most closely matches the sizes of the remaining members of the unit. If more than one device in the unit is the correct size, the device that gives the best performance is selected.

Best Performance - Gives highest priority to finding a spare device that results in the best performance of the unit. This means using a spare device which is located on a channel not being used by the failed device it replaces. If more than one spare device has the best performance, the device that most closely matches the size of the remaining members of the virtual disk is selected.

No Policy - Retires a failing device from the virtual disk without selecting a replacement. This causes the unit to run in a Reduced state until a Best Fit or Best Performance policy is selected, or a member is manually replaced in the unit.

The autospare feature causes failed devices to be automatically deleted and added to the pool of spare devices when they are replaced by a new, physical device. This feature enables you to physically replace failed devices without regard to managing the pool of failed and spare devices. Your controller keeps track of the status of your failed devices and ensures that replaced devices become spares for future failures.

Preferred Path - Defines which controller handles which units or targets. Choosing a preferred path for each controller enables you to distribute your units. It is a good idea to keep the busiest LUNs on different host ports. Be sure to delegate the same preferred path scheme at both the initiator and target sites. For example, if unit D0 on the initiator is assigned to This Controller, then unit D0 at the target site must be assigned to This Controller as well. (This field is not displayed in Transparent failover mode.)

Chunk Size - The number of data blocks that you assign to the primary RAIDset or stripeset member before the remaining data blocks are written to the next RAIDset or stripeset member.

Host Presentations - A scrolling list of all the host connections available for the virtual disk.

Return to Top


Creating a Raid 3-5

Creating a Raid 3/5

Overview

Display by clicking the Create RAID 3/5 button on the Create New Virtual Disk page.

This page allows you to create a RAID 3/5 virtual disk by selecting available devices and selecting the capacity and other features required for the virtual disk.

Buttons

Submit - Click Submit to create the RAID 3/5 virtual disk

Note: Before submitting, check the operating parameters you have chosen very carefully. Remember that your selections can have a major impact on the availability of your data and the performance of your storage subsystem.

In particular, check to make sure you have chosen the correct devices and cache options for your new virtual disk.

Page Help - Displays online help for page displayed.

Fields

Select an ID - Select an ID for your virtual disk from the drop down list box.

Requested Capacity - You have the option of using only a portion of the capacity of the devices you have selected for your new virtual disk. The available capacity of the devices you have selected is displayed in the Available Devices window.

Use largest available size - When checked, the disk will not be partitioned regardless of what is entered in the Requested Capacity field.

Available Devices - Select 3 to 14 devices from the available devices list by clicking them. When you select a device, it moves into the Selected Devices window.

Selected Devices - Devices move into this window when selected in the Available Devices window. Clicking a device in this window moves it back to the Available Devices window.

Read Cache - Read cache is a management method used to decrease the subsystem's response time to a read request by allowing the controller to satisfy the request from the cache memory rather than from the disk drives.

Read Ahead Cache - Read Ahead caching improves performance of synchronous sequential reads by prefetching data from disk.

Write Back Cache - Write Back cache is used to decrease the subsystem's response time to write requests by allowing the controller to declare the write operation "complete" as soon as the data reaches its cache memory. The controller performs the slower operation of writing the data to the disk drives at a later time.

Max Cache Transfer Blocks

Read - Indicates the maximum number of blocks that can be transferred during a read between the cache and the drives.

Write - Indicates the maximum number of blocks that can be transferred during a write between the cache and the drive.

Note: If you have ACS Version 8.5 or earlier, Max Cache Transfer Blocks displays only one value.

Write Protect - If Write Protect is enabled, you will not be able to write to this virtual disk.

Save Controller Configuration - You can place a complete copy of your subsystem configuration information on every device in a virtual disk. Your controller uses this information to maintain its subsystem configuration when it is restarted. Although it consumes a small amount of storage space on every device in a virtual disk, this feature provides a secure and simple way to store the details of the configuration of your subsystem.

Replacement Policy - The replacement policy indicates whether a failed disk from a mirrorset or RAIDset is to be automatically replaced with a disk from the spareset. The choices are Best Performance, Best Fit, and No Policy.

Best Fit - Gives highest priority to finding a spare device that most closely matches the sizes of the remaining members of the unit. If more than one device in the unit is the correct size, the device that gives the best performance is selected.

Best Performance - Gives highest priority to finding a spare device that results in the best performance of the unit. This means using a spare device which is located on a channel not being used by the failed device it replaces. If more than one spare device has the best performance, the device that most closely matches the size of the remaining members of the virtual disk is selected.

No Policy - Retires a failing device from the virtual disk without selecting a replacement. This causes the unit to run in a Reduced state until a Best Fit or Best Performance policy is selected, or a member is manually replaced in the unit.

The autospare feature causes failed devices to be automatically deleted and added to the pool of spare devices when they are replaced by a new, physical device. This feature enables you to physically replace failed devices without regard to managing the pool of failed and spare devices. Your controller keeps track of the status of your failed devices and ensures that replaced devices become spares for future failures.

Reconstruct Rate - The reconstruction rate is the speed at which regenerating the contents of a failed member's data takes place. The reconstruct process writes the data to a spareset disk and then incorporates the spareset disk into the mirrorset, striped mirrorset, or RAIDset from which the failed member came.

Preferred Path - Defines which controller handles which units or targets. Choosing a preferred path for each controller enables you to distribute your units. It is a good idea to keep the busiest LUNs on different host ports. Be sure to delegate the same preferred path scheme at both the initiator and target sites. For example, if unit D0 on the initiator is assigned to This Controller, then unit D0 at the target site must also be assigned to This Controller. (This field is not displayed in Transparent failover mode.)

Chunk Size - The number of data blocks that you assign to the primary RAIDset or stripeset member before the remaining data blocks are written to the next RAIDset or stripeset member.

Host Presentations - A scrolling list of all the host connections available for the virtual disk.

Return to Top


Host Properties Summary

Host Connection Summary

Overview

Display by clicking the Hosts directory in the Navigation pane.

This page displays the number of host connections and their status - online or offline.

Buttons

PageHelp - Displays online help for page displayed.

Fields

Number of Hosts - Number of connections from subsystem to host. These host connections are reflected on the Controller Connection Table Properties page.

Online Hosts - Number of hosts online.

Offline Hosts - Number of hosts offline.


Host Properties

Host/Connection Properties

Overview

Display by clicking a host in the Hosts directory.

This page displays the properties of the individual host port connections.

Buttons

Page Help - Displays online help for page displayed.

Host Properties

OS - Host computer operating system

Port - Your controller has dual Fibre Channel host ports, identified as Port 1 and Port 2.

Address - The fabric-assigned physical address of the host adapter for this connection.

Status - An indication of whether this connection is on line or off line.

Offset - A decimal integer used to determine the LUN address of a virtual disk on a specific connection. Offsets can range from decimal 0 to 199.

Host ID - The Worldwide Name of the host.

FCA Adapter ID - The Worldwide Name of the host Fibre Channel adapter.

Virtual Disks Attached

LUN ID - The fibre channel network identifier for the virtual disk. The ID consists of the controller's Worldwide Name, along with a unique numerical string added by the controller at the time of the disk's creation.

State - The current operational state of the virtual disk.

Size - Virtual disk storage capacity.

Type - Virtual disk RAID level option.


Adding Devices to the Pool of Spare Devices

Adding Devices to the Spare Devices Pool

To add devices to the spare devices pool:

  1. In the Navigation pane, select the physical device that you wish to make spare.

    Note:     The device cannot be a member of a virtual disk.

  2. Click the Make Spare button on the Physical Disk Properties page.

    Note    : If the device is a member of a virtual disk, the Make Spare button will not be displayed.

  3. Click the Save Changes button, then if Spareset appears in the Used by field, the Make Spare button is replaced by the Delete Spare button.


Agent Options

Overview

Display by clicking the Agent Options button on the HSG Management Systems Options page.

The purpose of this page is to configure the HSG Element Manager Agent.

Buttons

Submit - Submits Agent modification changes.

Page Help - Displays page help for page displayed.

Fields

Modify Agent Password - Allows you to modify the Agent password.

Add Client

Host Name - The Client host name that you want to grant access to.

Access Level

Show Only - User can only view and cannot make changes.

CLI Config - User can execute any CLI command.

Agent Config - User has all privileges plus can change Agent parameters.

Modify Client - Modifies settings for a Client that has already been added to the access list.

Select 1 client to modify - The designated Client to modify.

Host Name - Host where Client resides.

Access Level

Show Only - User can only view and cannot make changes.

CLI Config - User can execute any CLI command.

Agent Config - User has all privileges plus can change Agent parameters.

Delete - Removes specified Client from access list.

Return to Top


Assigning Unit Numbers in Multiple-Bus Failover Mode

In multiple-bus failover mode, the range of assignable units that are accessible from any port on the subsystem is 0–199. Hosts obtain units by reserving the unit for sole access. This process is performed on a first-available basis or by assigning host access.


Assigning Unit Numbers in Transparent Failover Mode

Each controller has two ports, port 1 and port 2, as shown in the figure below. A set number of units are accessible, depending on the host operating system.

In transparent failover mode, the range of assignable units is 0–99 on port 1, and 100-199 on port 2, regardless of what unit offset is set on the host. Do not split partitioned storagesets across ports; they must be on the same port.


Cache Battery Checking

Your controller regularly checks the presence and condition of its cache backup battery, to ensure the integrity of your data. If there is a problem with the battery, the controller flushes any data in cache to the subsystem's devices, to safely store it away. This mechanism is an important part of the controller's caching features.

Some controller models allow you to use an external, uninterruptible power supply (UPS) for complete backup in the event of a primary power failure. If you use a UPS, you may want to disable cache battery checking to avoid unnecessary battery alarms.

Caution: If you disable your controller's cache battery checking feature, and you do not have an operational UPS connected to your storage subsystem, you risk the loss of your data.

You can disable cache battery checking in your controller's property sheets. For more information, see Setting Your Controller's Operating Parameters.


Changing Virtual Disk Operating Parameters

Caution: The virtual disks in your storage subsystem are logical containers that hold your user data. Although they do not exist in a physical sense, it is their logical structure that ties together the physical pieces of your data spread across their members. Use extreme caution when modifying the characteristics of a virtual disk. You may be putting valuable, user data at risk if you inappropriately change its operating parameters.

You can modify the access to or change the characteristics of any of your virtual disks by accessing the associated Virtual Disk Properties page.

  1. Select the virtual disk in the Navigation pane to display its property page.

  2. Select the General Tab to change settings of the virtual disk properties and select the Presentations Tab to modify host presentations. Select hosts from the drop down list where the virtual disk will be displayed.


Connection Name

The connection name is a unique string of alphanumeric or punctuation characters that identifies a connection between a host adapter and the HSG controller. The host performs a Fibre Channel bus scan any time it gets a notification that something has changed on the fabric. The host will then identify the HSG as a SCSI device and login to the HSG controller as part of its device discovery process. As the host performs the login, the HSG controller allocates an entry in the host connections table and assigns a connection name to the newly-established connection. Subsequent logins by the host will use this same connection name and entry.

Controller-produced connection names take the form "!NEWCONNnn”, where nn is a two-character, decimal integer. This string format is not allowed for user-created connections.


Enabling and Disabling the Communications LUN

Enabling and Disabling the CCL

In SCSI-3 mode, the CCL is always Enabled.

Caution: Do not disable either the communications LUN or the CCL via the CLI while SANworks Element Manager is running because you risk loss or corruption of data. For almost all situations, you should leave the communications LUN enabled when you are using SANworks Element Manager.

Because your storage subsystem may be completely unconfigured when you first install it, there may be no virtual disks for SANworks Element Manager to use for controller communication. The CCL provides the means to establish a controller connection when no real virtual disks exist in your subsystem.

The CCL is enabled by default. If it has been disabled, you must reenable it using the controller's CLI interface before you run SANworks Element Manager. For detailed information on enabling and disabling the CCL, see your controller documentation.


Error Mode

Remote Copy Set Error Mode

When the Error Mode is set to Normal, you may add a target if the maximum number of targets has not been met. Currently, the maximum number of allowable targets is one. Also, if you have a target set, it can be deleted when the Error Mode is Normal.

When failsafe is set, the associated remote copy set must contain at least one initiator member and one target member. If the remote copy set loses a sufficient number of members while failsafe is set, no further I/O will be allowed to this remote copy set, and an error will be returned to the host. This is known as a failsafe locked condition.

NOTE: When you set failsafe, all remote copy sets must be in a normal or normalizing state. If remote copy sets are copying, you must wait until they return to normal mode before you can set failsafe.


Event Log for all Devices

HSG Event Log

Overview

Display by clicking the green Status button (or yellow triangle when there are new events) on the main page Session pane.

The Event Log displays the log for events reported for HSG controllers in you network.

Buttons

Submit - Submit changes to change display criteria.

Acknowledge All - Acknowledges all events.

Page Help - Select to display online help for page displayed.

Fields

Display

Up to - Enter the number of events to be displayed.

Unacknowledged events only button - Display unacknowledged events only.

Acknowledged and unacknowledged button - Display acknowledged and unacknowledged events.

Acknowledge - Clicking to acknowledge will remove the entry from view, unless the choice is made to view previously acknowledged events as well. Any similar event will also be acknowledged up to an hour past the time of an acknowledged event. If an event is a duplicate of an event that has been generated within the last hour and that previous event was acknowledged, the duplicate event will not appear on the Event Log.

Device ID - The serial number of the HSG controller.

Event Name - The code name for the event logged.

Severity - Severity of event. Severity categories are failure, warning, and information.

Time - Date and time that event was detected and reported. Date reported as mm/dd/yyyy and time as hh:mm:ss.

Message - Event description.


Host Access

A scrolling list of all the host connections available to virtual disks on the controller. Highlighted connections indicate host connections through which this virtual disk can be accessed. "None" indicates that the virtual disk is not accessible.

You can click on any connection to change its state, enabling or disabling access to this virtual disk through that connection.

The host access default is "None".


How can I use my HSG80 controller in a disaster-tolerant solution?

Using the HSG Controller in a Disaster-tolerant Solution

Note: The following information is provided only as an introduction to disaster-tolerant, HSG80 subsystems. Refer to the documentation provided with your subsystem for more in-depth information.

HSG80 controllers offer special configurations that are designed to maximize the availability of your data. As shown in the figure, data generated at an initiator site is stored locally on its storage subsystem. Concurrently, that data is mirrored on a target storage subsystem that is located some physical distance away. A Fibre Channel gigabit switch connects the initiator host to the target storage subsystem to allow user data to be effectively stored in two geographically separated places.

In the event of a problem with either the initiator host or its local storage subsystem, a target host takes over the workload using the backup storage. User data is preserved, even in the event of catastrophic damage to the initiator system.

Data Replication Manager is a specific disaster tolerant solution that is offered with ACS Version 8.5 or later.


How does Command Console handle devices, device groups, and virtual disks in my HSG controller subsystem?

Management of devices, device groups, and virtual disks in the HSG controller subsystem

Before you begin using the SANworks Element Manager, you should become familiar with the configuration capabilities and terminology of HSG controllers.

How HSG controllers map storage elements

HSG controllers enable you to configure complex, high-performance, storage subsystems by mapping your physical devices into various kinds of virtual disks that your host can access. (Virtual disks are sometimes called logical storage units, units, or LUNs in the controller documentation.) Virtual disks appear on the controller's host ports as LUNs and are independently addressable and have their own user-configurable operating attributes. The mapping process you use to transform physical devices to virtual disks is called "storage configuration."

The illustration below shows the terminology and relationships between the various storage elements in HSG controllers. If you've used the controller's command line interpreter (CLI) before, you may be familiar with this terminology.

As shown in the illustration, each virtual disk is created from a device group (called a "container" in the controller documentation) of some type. The simplest type of device group is the disk, or "JBOD " device group, logically representing a single, physical device.

Each physical device on the controller's device buses is represented in the controller by a JBOD device group. Striped device groups ("stripesets"), striped parity device groups ("RAIDsets"), mirrored device groups ("mirrorsets"), and striped mirrored device groups (called "striped mirrorsets") are four special types of device groups using RAID techniques. Each of these special device groups is itself made up of JBOD device groups.

The illustration shows the relationship between the different types of device groups. Note that, in the CLI, before you can create a virtual disk, you must create the appropriate device groups below it. Before you can create any of the upper-level device groups, you must use the CLI to create the one or ones below them. Before you can create any device groups, you must use the CLI to create JBOD device groups from your physical devices.

Using the CLI, the creation of each device group or virtual disk requires many, separate steps, each made up of one or more text-based commands.

SANworks Element Manager and the storage configuration process

SANworks Element Manager is your assistant in the configuration process. It simplifies the storage configuration process with your HSG-series controller by eliminating CLI commands and device groups from your configuration tasks. With SANworks Element Manager, you simply make your physical devices known to the controller by "adding" them. You then add virtual disks from your known devices, choosing the operating characteristics you'd like to use. This is a simple graphical process:

Creating RAID virtual disks

The SANworks Element Manager for HSG controllers supports the following RAID configurations:

JBOD - Single disk

RAID 0 - striping

RAID 1 - mirroring

RAID 0+1 - striped mirroring

RAID 3/5 - striped parity

SANworks Element Manager Help assumes that you are familiar with RAID concepts and techniques.

Return to Top


Automatic Member Replacement in RAID-Based Virtual Disks

Managing Failed Devices

The controller maintains pools of failed and spare devices that work together to provide automatic mirrored or striped parity virtual disk member replacement. The controller automatically removes a failed or physically removed member of a mirrored or striped parity virtual disk and places it in the pool of failed devices. If a spare device exists when this action takes place, the controller automatically replaces the failed device with the spare. This feature is always enabled.

You can modify the behavior of the failed and spare device pools slightly by enabling the autospare feature.

The autospare feature (also sometimes called the "autonewspare" feature) causes failed devices to be automatically deleted and added to the pool of spare devices when they are replaced by a new, physical device. This feature enables you to physically replace failed devices without regard to managing the pool of failed and spare devices. Your controller keeps track of the status of your failed devices and ensures that replaced devices become spares for future failures.

For more information on using spare device see Managing Spare Devices.


Managing Spare Devices

Your controller automatically uses spare devices to replace failed devices in mirrored and striped parity virtual disks. To use this feature, you need only create spare devices from selected devices that you have made known to your controller. If you previously created spare devices you'd rather use elsewhere, you can delete them as spares to return them to the pool of devices available for use in virtual disks.

Use the following procedures to create or delete spare devices.

Adding Devices to the Spare Devices Pool

Removing Devices from the Spare Devices Pool


Multiple-Bus Failover Mode

Multiple-bus (or host-assisted) failover is a dual-redundant controller configuration in which each host port is active, having its own connection or path to the host. Thus, if one of the host paths to a controller fails, the host can cause the units that became inaccessible to failover to a remaining viable path. All units, 0–199, are presented through all host ports, meaning that both controllers can present the same storage units to the host if the other controller fails or loss of communication occurs.


Options

Overview

Display this screen by clicking on the Options button on Session pane.

The purpose of this screen is to determine if you will manage a particular subsystem from a given SANworks Element Manager.

Buttons

Submit - Updates storage subsystem management options.

Agent Options - Displays the HSG Element Manager Agent Options page.

Page Help - Displays online help for page displayed.

Field

Subsystem - HSG s u bsystem controller pairs.

Alias - HSG subsystem alias.

Manage

Enabled - SANworks Element Manager manages the subsystem.

Disabled - SANworks Element Manager does not manage the subsystem.

Delete - Permanently removes a subsystem from the SANworks Element Manager.


Removing Devices from the Spare Devices Pool

  1. Select the physical device in the Navigation pane that you wish to remove from the spare devices pool to display the Physical Disk Properties page.

  2. Click on the Delete Spare button on the Physical Disk Properties page.

  3. Click on the Save Changes button.

  4. Spareset is removed from the Used by field on the Physical Disk Properties page and the Delete Spare button is replaced by the Make Spare button.


Removing Virtual Disk Members

Caution: The virtual disks in your storage subsystem are logical containers that hold your user data. Although they do not exist in a physical sense, it is their logical structure that ties together the physical pieces of your data spread across their members. Use extreme caution when deleting a member of a virtual disk. You may be putting valuable, user data at risk if you delete a member inappropriately.

In the course of creating virtual disks, the SANworks Element Manager may transparently partition a device, and the partitions may be used in separate virtual disks. If you remove a partitioned device as a member of one virtual disk, you automatically remove it from all the virtual disks in which it is a member.

  1. On the Virtual Disk Properties page, click on the Advanced button which displays the Advanced Functions for Virtual Disk page.

  2. On the Advanced Functions for Virtual Disk page, click on the Delete button.

  3. Confirm that you want to delete the member by clicking OK.

The program removes your selected device as a member of any virtual disks. It also marks the device as a failed device. You must completely delete the device from the configuration and add it back in again to make it usable. See Removing Devices for more information.


Setting the Communications LUN Mode

Setting the CCL Mode

The CCL is always enabled in SCSI-3 mode.

Caution: You can only set the CCL mode using your controller's CLI. Do not change the CCL mode while SANworks Element Manager is running because you may risk loss or corruption of data.

Note: Setting the CCL in no way changes the basic SCSI command set or operation of the host bus. The mode setting affects only the operation of the CCL.

The CCL provides the means to establish a controller connection when no user-created virtual disks exist in your subsystem. Before you can use the CCL, all you can do is enable or disable CCL in SCSI-2. Whether it is fixed or floating is not settable but a factor on whether your are in SCSI-2 or SCSI-3.

  • SCSI-2 - The CCL "floats", depending upon What virtual disks are in existence at the time the CCL is enabled, for example, if you have a D0 & no D1, then the CCL will be at LUN 1. In SCSI-2, you can enable or disable the CCL. See Enabling and Disabling the CCL for more information. (You can view the current LUN address of the CCL in the General controller properties tab.)

  • SCSI-3 - The CCL is fixed at LUN 0 of each host connection, as specified in the SCSI-3 specification. In this mode, the CCL is always enabled, and its location at LUN 0 of each virtual disk's host connection. You cannot create a D0.

For detailed information on setting the communications LUN mode, see your controller documentation.


Special Cautions When Working with the Communications LUN

Special Cautions when Working with the CCL or Communications LUN

Pay particular attention to the following cautions when using the CCL or virtual disk to communicate with your subsystem.

  • Do not disable the communications LUN via the CLI while SANworks Element Manager is running because you risk loss or corruption of your data. For almost all situations, you should leave the CCL enabled when you are using SANworks Element Manager.

  • You may want to disable the CCL to preserve virtual disk IDs in some operating systems. In Windows NT, for instance, the LUN appears as a CD - ROM drive letter that is otherwise unusable. In this case, you must use your controller's CLI interface to configure at least one virtual disk for communications purposes, before you run SANworks Element Manager.

  • If you wish to disable the CCL for some reason while using SANworks Element Manager, ensure that at least one virtual disk remains on your subsystem. Then exit SANworks Element Manager and disable the LUN using the controller's CLI. Restart SANworks Element Manager using the remaining virtual disk for communications.

  • To create a communication LUN from a standard virtual disk, you must ensure that virtual disk lists the Appliance in its host presentation list. If this is a new presentation, the Appliance must be rebooted in order for it to use the communication LUN.


Strip Size Settings

Importance of the strip size

The strip size you choose can have a significant impact on the performance of striped virtual disks in your storage subsystem. For virtual disks operating in a environment that is I/O-request intensive, you may want to use a smaller strip size to optimize their I/O request rate. Conversely, for virtual disks operating in a environment that is data-rate intensive, you may want to use a larger strip size to optimize their data access rate.

We strongly recommend that you use the default strip size value for your particular controller configuration. Defaults are chosen to produce optimal performance for a wide variety of I/O loads. The use of a strip size less than 128 (that is, 64 KB) in any configuration is very strongly discouraged. There are almost no customer loads for which small strip sizes are of value. In almost all cases, use of a small strip size severely degrades the performance of the storage subsystem.

These guidelines are general in nature. Consult your controller documentation for specifics on setting the strip size for your specific controller model.

Strip size defaults

The strip size default for HSG controllers is 256 blocks.

Striped parity virtual disk strip sizes:

Don't set the strip size for striped parity virtual disks larger than 2048 (n-1) blocks, where n is the number of striped parity virtual disk members. Setting larger strip sizes may result in degraded performance and conditions requiring controller reinitialization.

For striped parity virtual disks, an approximation of optimum strip size is Requestsize (n-1) blocks, where n is the number of striped parity virtual disk members.

Mirrored virtual disk strip sizes

The strip size qualifier does not apply to mirrored virtual disks.

Striped virtual disk strip sizes

The minimum strip size for striped virtual disks is 16 blocks (8 KB). The maximum strip size is approximately 4 gigablocks, but because this is larger than any supported disk, it is not a practical limitation.

Strip size settings by member quantities

For controllers with cache sizes greater than 16 MB, you can determine the optimum strip size based on the number of members in the virtual disk. If your controller has 16 MB or more of cache memory and the number of members in the virtual disk is less than or equal to nine, use a strip size of 256 blocks. If your controller has less than 16 MB of memory and the number of members in the virtual disk is greater than nine, use a strip size of 128.


Understanding Host Port Connections

Your controller offers the capability to connect each of your virtual disks to multiple hosts. Each host connection to one of your virtual disks operates independently, using its own operating parameters.

When your controller senses or performs a host-port, Fibre Channel loop initialization, it gathers information about the host adapters on the loop. The controller uses this information to create an assignable, logical host port connection for each host adapter. You can assign these host port connections to your virtual disks, making the disks accessible to the host systems associated with the connections.

Your controller makes your virtual disks available to your hosts in different ways, depending upon the controller's failover mode.

Host port connections in transparent failover mode

In transparent failover mode, your controller makes each of your virtual disks available on one or the other of its host ports, as specified by the numerical value in the name of the disk. (See Virtual Disk Naming Conventions for further information.)

Each host connection has a LUN offset associated with it, and this offset is settable in the controller Connections Properties Tab. The LUN address of a specific virtual disk on a specific host connection is equal to the numerical value in the virtual disk's name minus the offset. The effect of the offset is to present the same virtual disk to different hosts at different LUN addresses - an advantage in certain operating system environments.

In transparent failover mode, the default offset for each host connection is 0 for port 1 hosts, and 100 for port 2 hosts.

Host port connections in multiple-bus failover mode

In multiple-bus failover mode, your controller makes all of your virtual disks available on all of its host ports. In this mode, special software running in your hosts determines which hosts can access your virtual disks at any point in time. By default, the controller assigns no host port connections to your virtual disks as you create them, initially making your disks inaccessible to your hosts. You can change this assignment in the virtual disk General Properties Tab, if you wish.

Each host connection has a LUN offset associated with it, and this offset is settable in the controller Connections Properties Tab. The LUN address of a specific virtual disk on a specific host connection is equal to the numerical value in the virtual disk's name minus the offset. The effect of the offset is to present the same virtual disk to different hosts at different LUN addresses - an advantage in certain operating system environments.

In multiple-bus failover mode, the default offset for all host connections is 0.


Configuring the Communications LUN

Using the CCL

There are two ways for the Element Manager to communicate with the storage subsystem.

  • The Command Console LUN.

  • A Virtual Disk which gives access to the Appliance (Communication LUN). The CCL is a pseudo LUN.

Note: You use the CCL to establish a local SCSI or network connection. However, if CCL is not used, SANworks Element Manager communicates with your controller via a virtual disk that you must specify and there must be at least one virtual disk on your subsystem, so the connection can be made with your subsystem.

SANworks Element Manager can use either a normal, user-configured virtual disk or a special virtual disk, called the "Command Console LUN (CCL)", to make a connection with your controllers. The CCL is a simulated virtual disk provided by certain controller models strictly for connecting SANworks Element Manager with your storage subsystem.

If you enable the CCL in your controller, the controller reserves one LUN address for SANworks Element Manager use. The reserved LUN address is displayed in the General tab of the controller property sheets.

Setting the Command Console LUN Mode

Enabling and Disabling the CCL

Special Cautions


What are HSG Controllers?

HSG Controller Specifications

HSG controllers are members of Compaq’s HS family of versatile, high-performance, Fibre Channel storage subsystem components. They provide host access to a device array, and they add performance, availability, and cost options using RAID techniques.

The following table shows the major features of the HSG80 controller.

Feature | HSG80
Host bus | Fibre Channel (per PLDA profile)
Device bus | Ultra SCSI, single-ended
Number of device buses | 6
Maximum number of devices per bus | 12
Maximum total number of devices | 84
Maximum formatted device capacity | 72 GB
Device warm swap | Yes
Controller warm swap | Yes
Dual-redundant configurations | Transparent and multiple-bus failover
Write-back cache | 64—512 MB.
Cache backup battery | External cache battery
Number of host port LUNs | 94 maximum, depending on OS
Partitioning | Up to 8 partitions/containers
RAID level support | 0, 1, 0+1, and 3/5
Operating system support | Various
EMU support | Yes
Controller software patching | Yes
Controller software update | By replacing or rewriting PCMCIA card
Subsystem configuration | Via user-friendly CLI or Element Manager
Controller-based utilities | Yes
Data Integrity | Error detection or correction on all internal buses and memory. Metadata for device data protection.
Maximum LUN Capacity | 1.1 TB